<?php

/*
Plugin Name: Trustjacker
Description: Monetize your everyday activities.
Plugin URI: http://www.trustjacker.com/
Author: Trustjacker Team
Author URI: http://www.trustjacker.com/
Version: 2.01
Stable tag: 2.01

==============================================================================
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

*/

define('TRUSTJACKER_PLUGIN_NAME',dirname(plugin_basename(__FILE__)));
define('TRUSTJACKER_PATH',WP_PLUGIN_DIR.'/'.TRUSTJACKER_PLUGIN_NAME);
define('TRUSTJACKER_URL',plugins_url($path = '/'.TRUSTJACKER_PLUGIN_NAME));

require_once("main.helper.php");

////////
// /* ADD TABLES DURING INSTALL */
function tjckr_TRUSTJACKER_activate(){

	//$plugin_folder = get_plugins( '/' . plugin_basename( dirname( __FILE__ ) ) );
	//$plugin_file = basename( ( __FILE__ ) );
	//update_option("TRUSTJACKER_versionNo", $plugin_folder[$plugin_file]['Version']);
	$plugins = get_plugins('/'.TRUSTJACKER_PLUGIN_NAME);
	$version = $plugins['index.php']['Version'];
	update_option('TRUSTJACKER_versionNo',$version);

}
register_activation_hook( __FILE__, 'tjckr_TRUSTJACKER_activate' );
/*
 DROP TABLES DURING UNINSTALL
*/
function tjckr_TRUSTJACKER_deactivate(){


	delete_option('TRUSTJACKER_activation');
	delete_option('TRUSTJACKER_email');
	delete_option('TRUSTJACKER_status');
	delete_option("wp_cloak_enable");
	delete_option("autoupdate_alow");
	delete_option('js_code');
	delete_option('images_code');
	delete_option("prefix_enable");
	delete_option("prefix");
	delete_option("tjckr_setup_error");
	delete_option('tjckr_activation_error');
	delete_option("previousActivationCheckDate");
	wp_clear_scheduled_hook('trustjacker_cron_jobs');
	wp_clear_scheduled_hook('trustjacker_cron_popups');


}
register_deactivation_hook( __FILE__, 'tjckr_TRUSTJACKER_deactivate' );

register_uninstall_hook( __FILE__, 'tjckr_TRUSTJACKER_uninstall' );
function tjckr_TRUSTJACKER_uninstall(){

	
	delete_option('TRUSTJACKER_activation');
	delete_option('TRUSTJACKER_email');
	delete_option('TRUSTJACKER_status');
	delete_option("wp_cloak_enable");
	delete_option("autoupdate_alow");
	delete_option('js_code');
	delete_option('images_code');
	delete_option("prefix_enable");
	delete_option("prefix");
	delete_option("tjckr_setup_error");
	delete_option('tjckr_activation_error');
	delete_option("previousActivationCheckDate");
	wp_clear_scheduled_hook('trustjacker_cron_jobs');
	wp_clear_scheduled_hook('trustjacker_cron_popups');
	global $wpdb;

	$clicks_table = $wpdb->prefix . "TRUSTJACKER_clicks";
	$links_table = $wpdb->prefix . "TRUSTJACKER_links";
	$sql = "DROP TABLE {$links_table}";

	$wpdb->query($sql);
	$sql = "DROP TABLE {$clicks_table}";

	$wpdb->query($sql);

}


?>
