<?php

if(!defined('ABSPATH'))
  die('You are not allowed to call this page directly.');
require_once('trustjacker_helper.php');
require_once(TRUSTJACKER_PATH.'/config.php');
require_once(TRUSTJACKER_PATH."/Zend_Utf8.php");
 $link = new Trustjacker_helper();
$curDate = time();
$active =true;

$previousActivationCheckDate = get_option("previousActivationCheckDate");
$installationDate = get_option("installationDate");
if(empty($installationDate)){
$installationDate  = time();
update_option("installationDate",$installationDate);
}
if(empty($previousActivationCheckDate)){
$previousActivationCheckDate = time();
update_option("previousActivationCheckDate", $previousActivationCheckDate );

}

$lastCheckDate = $installationDate +(60*60*24*60);
if($curDate< $lastCheckDate){
	if($curDate>= ($previousActivationCheckDate+(60*60*24*7))){
	 
	$active = $link->doActivationCheck();
	update_option("previousActivationCheckDate", $curDate);

	}
}

if(!$active || get_option('tjckr_activation_error') == 'yes'){
update_option('tjckr_activation_error','yes');
  ;  echo '<div class="wrap">
<h2>Activation Error</h2><p>Trustjacker has been deactivated, no active license found.</p>
</div>';  ;  
}
elseif(get_option('tjckr_setup_error')=='yes'){
	$count = array(); 
	if(get_bloginfo('version')<3.3){
	
	$count[] = "<h2>Upgrade Wordpress</h2><p>You must upgrade wordpress to version 3.3 or higher for Trustjacker to work properly</p>";
	}
	elseif(!ini_get('allow_url_fopen')) {
		
		$count[] = "<h2>Enable 'allow_url_fopen'</h2><p>You must enable 'allow_url_fopen' in php.ini file of php installation for Trustjacker to work properly</p>";
	}
	elseif(!function_exists('curl_setopt'))  {
		
		$count[] = "<h2>Enable 'curl_setopt'</h2><p>You must enable 'curl_setopt' in php.ini file of php installation for Trustjacker to work properly</p>";
	}

	
	elseif(!$permalink_structure or empty($permalink_structure)){
	
		$count[] = "Configure Permalinks</h3><p>WARNING: Your Permalinks are currently set to \"default\". For TrustJacker to work properly, you must change your permalinks settings to anything other than default — Need Help?</p><p><a href='options-permalink.php' class='button-primary action' style='font-size: 1em!important;'>Change Permalinks</a></p>";
	}
	
	if(isset($count) && !empty($count)):
		
	  ;  echo '<div class="wrap">
   
        <h1>You are almost finished!</h1>';  ;   foreach($count as $key=>$error){   ;  echo '<h3> Step';  ;   echo $key+1;  ;  echo ': &nbsp';  ;   echo $error; 
		$i = $key;
		  ;  echo '';  ;   }   ;  echo '<h3> Step';  ;   echo $key+2;  ;  echo ': &nbsp';  ;   echo "Refresh this page</h3>";  ;  echo '</div>';  ;   endif;
	
}
elseif($_REQUEST['action'] == 'edit'){
$cl = new Zend_Utf8();
$id = $_REQUEST['id'];
 $link = new Trustjacker_helper();
 $link_data = $link->tjckr_get_clicks_uniq($id);
 $url = json_decode(preg_replace("/\\\r\\\n|\\\r|\\\n\\\r|\\\n/m","",$link_data->popupblob));
 $targets = $url->targets;
 $popups = $url->popups;
  require_once 'edit_link.php';
}elseif($_REQUEST['action']=='updatePlugin'){
 $link = new Trustjacker_helper();
$link->tjckr_update_plugin();
}else{
  $link = new Trustjacker_helper();
  $links = $link->tjckr_get_clicks_uniq_all();

  ;  echo '<!-- JQuery UI Includes -->
<link type="text/css" href="';  ;   echo TRUSTJACKER_URL;   ;  echo '/css/ui-lightness/jquery-ui-1.7.1.custom.css" rel="stylesheet" />
<script type="text/javascript" src="';  ;   echo TRUSTJACKER_URL;   ;  echo '/js/jquery-1.7.2.min.js"></script>
<script type="text/javascript" src="';  ;   echo TRUSTJACKER_URL;   ;  echo '/js/jquery.peity.js"></script>
<script type=\'text/javascript\'>
var jq = jQuery.noConflict();
 jq(document).ready(function(){
 jq.ajax({
			type: "GET",
			data: "action=getad&type=list&site=';  ;   echo CONTROL_SITE_URL;  ;  echo '",
			url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
			success: function(msg) {

				 
						
				jq("#promotion").append(msg);
			
	
			}
		});
jq(".line").peity("line");
  jq(".tjckr_delete").click(function() {
  var id = jq(this).attr("data");
    var str = "id="+id;
	 var set = confirm(\'Are you sure you want to delete? This will delete the Link and all of the statistical data about it in your database.\');
if(set){   
	   jq.ajax({
			type: "POST",
			url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
			data: \'action=delete&\'+str,
			success: function(msg) {
		
				if(msg != \'1\') {
			 
				}
				else {
				   
					
					jq("#row_"+id).remove();
				}
			}
		});
	}
    return false;
    });
	jq(".tjckr_clone").click(function() {
  var id = jq(this).attr("data");
  var name= jq(this).attr("data2");
  var url= jq(this).attr("data3");
    var str = "id="+id+"&link_name="+name+"&link_url="+url;
  
	   jq.ajax({
			type: "POST",
			url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
			data: \'action=clone&\'+str,
			success: function(msg) {
				result = jq.parseJSON(jq.trim(msg));
				if(result.iserror==0) {
				window.location = "?page=TRUSTJACKER-manage&action=edit&id="+result.id;
				}
			}
		});
	
    return false;
    });
	  jq(".tjckr_reset").click(function() {
  var id = jq(this).attr("data");
  var set = confirm(\'Are you sure you want to reset? This will delete all of the statistical data about this Link in your database.\');
    
	if(set){
		var str = "id="+id;
		jq.ajax({
			type: "POST",
			url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
			data: \'action=reset&\'+str,
			success: function(msg) {

				 
						
				jq("#hit_"+id).html("0/0");
			
	
			}
		});
	}
    return false;
    });
	 jq(".tjckr_link").live("blur",function(event) {
			 jq("#error").hide();
			 jq(this).val(jq(this).val().toLowerCase().split(" ").join("-"));
			  var str = "url="+jq(this).val();
				jq.ajax({
				type: "POST",
				url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
				data: \'action=link&\'+str + "&id="+"';  ;   echo $link_id;   ;  echo '",
				success: function(msg) {
					
						jq(\'#error\').html(\'\');
						jq(\'#success\').html(\'\');
						result = jq.parseJSON(jq.trim(msg));
						if(result.iserror==1) {
							jq("#error").fadeIn("slow");
							jq("#error").html("Url already exists");
							jq("#error2").fadeIn("slow");
							jq("#error2").html("Url already exists");
							
							
						}
						else{
							jq("#error").hide();
							jq("#error2").hide();
						}
					
					}
				});
			 
			 });

	$("#copy_link").live("submit",function(){
		jq("#error").hide();
		var str = jq(this).serialize();
		jq.ajax({
			type: "POST",
			url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
			data: \'action=clonemulti&\'+str,
			success: function(msg) {
				result = jq.parseJSON(jq.trim(msg));
				if(result.iserror==1) {
						
					jq("#error").fadeIn("slow");
					jq("#error").html("");
					jq.each(result.error, function(index, value) { 
					jq("#error").append(value+"<br>"); 
					});
				}else{
					var next = $("#link_index").val();
					if($(\'.tj_link_cl\').filter(\':checked\').eq(next).length != 0){
						$("#link_index").val(parseInt(next)+1);
						$("#link_id").val($(\'.tj_link_cl\').filter(\':checked\').eq(next).val());
						$("#link_name").val($(\'.tj_link_cl\').filter(\':checked\').eq(next).attr("data")+"_copy");
						$("#link_url").val($(\'.tj_link_cl\').filter(\':checked\').eq(next).attr("data2")+"_copy");
						$("#next_link_id").val($(\'.tj_link_cl\').filter(\':checked\').eq(parseInt(next)+1).val());
						$("#clone_form").modal();
					}else{
						$.modal.close();
						window.location.replace("?page=TRUSTJACKER-manage");
					}
				}
					
			}
		});
	
	return false;
	});
	$("#cancel").live("click",function(){
		jq("#error").hide();
		var next = $("#link_index").val();
		if($(\'.tj_link_cl\').filter(\':checked\').eq(next).length != 0){
			$("#link_index").val(parseInt(next)+1);
			$("#link_id").val($(\'.tj_link_cl\').filter(\':checked\').eq(next).val());
			$("#link_name").val($(\'.tj_link_cl\').filter(\':checked\').eq(next).attr("data")+"_copy");
			$("#link_url").val($(\'.tj_link_cl\').filter(\':checked\').eq(next).attr("data2")+"_copy");
			$("#next_link_id").val($(\'.tj_link_cl\').filter(\':checked\').eq(parseInt(next)+1).val());
			$("#clone_form").modal();
		}else{
				$.modal.close();
				window.location.replace("?page=TRUSTJACKER-manage");
		}
		return false;
	});
	$("#cancel_import").live("click",function(){
		$.modal.close();
		//window.location.replace("?page=TRUSTJACKER-manage");
	});
	$("#cancel_export").live("click",function(){
		$.modal.close();
		//window.location.replace("?page=TRUSTJACKER-manage");
	});
	$("#cancel_cam_import").live("click",function(){
		jq("#error2").hide();
		$("#title_t").hide();
		$("#title_P").hide();
		var cam_data = $("#cam_data").val();
		var index = $("#next_cam_id").val();
		var data = $.parseJSON(cam_data.replace(/(\r\n|\n|\r)/gm,""));
		if(index < data.length){
			
				$("#cam_id").val(data[index][\'id\']);
				$("#cam_name").val(data[index][\'name\']);
				$("#cam_url").val(data[index][\'url\']);
				$("#cam_json").val(data[index][\'popupblob\']);
				var json = $.parseJSON(data[index][\'popupblob\']);
				if($.trim(json[\'targets\'][0][\'title\'])==\'301 Moved Permanently\' || $.trim(json[\'targets\'][0][\'title\'])==\'Error\' || $.trim(json[\'targets\'][0][\'title\'])==\'error\'){
					
					$("#title_t").show();
					$("#title_P").show();
					$("#cam_title").val(\'\');
				}
				$("#next_cam_id").val(parseInt(index)+1);
				$("#import_cam_form").modal();
			}else{
				$.modal.close();
				window.location.replace("?page=TRUSTJACKER-manage");
			}
		return false;
	});
	$("#cam_form").live("submit",function(){
		jq("#error2").hide();
		var json = $.parseJSON($("#cam_json").val());
		if($("#cam_title").val()!=\'\' && ($.trim(json[\'targets\'][0][\'title\']) == \'301 Moved Permanently\' || $.trim(json[\'targets\'][0][\'title\']) == \'error\' || $.trim(json[\'targets\'][0][\'title\']) == \'Error\')){
			json[\'targets\'][0][\'title\'] = $("#cam_title").val();
			jq("#cam_json").val(JSON.stringify(json));
		}
		var str = jq(this).serialize();
		var cam_data = $("#cam_data").val();
		var data = $.parseJSON(cam_data.replace(/(\r\n|\n|\r)/gm,""));
		var index = $("#next_cam_id").val();
		
		jq.ajax({
			type: "POST",
			url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
			data: \'action=importmulti&\'+str,
			success: function(msg) {
				result = jq.parseJSON(jq.trim(msg));
				if(result.iserror==1) {
						
					jq("#error2").fadeIn("slow");
					jq("#error2").html("");
					jq.each(result.error, function(index, value) { 
					jq("#error2").append(value+"<br>"); 
					});
				}else{
					
					var data = $.parseJSON(cam_data.replace(/(\r\n|\n|\r)/gm,""));
						if(index < data.length){
						var dt = $("#cam_data").val();
						var json = $.parseJSON(data[index][\'popupblob\']);
						if($.trim(json[\'targets\'][0][\'title\'])==\'301 Moved Permanently\' || $.trim(json[\'targets\'][0][\'title\'])==\'Error\' || $.trim(json[\'targets\'][0][\'title\'])==\'error\'){
							
							$("#title_t").show();
							$("#title_P").show();
							$("#cam_title").val(\'\');
						}
						$("#cam_id").val(data[index][\'id\']);
						$("#cam_name").val(data[index][\'name\']);
						$("#cam_url").val(data[index][\'url\']);
						$("#cam_json").val(data[index][\'popupblob\']);
						$("#next_cam_id").val(parseInt(index)+1);
						$("#import_cam_form").modal();
					}else{
						$.modal.close();
						window.location.replace("?page=TRUSTJACKER-manage");
					}
				}
					
			}
		});
	
	return false;
	});
	$("#cimport").live("submit",function(){
	var data = $.parseJSON(unescape(jq("#import_links").val().replace(/(\r\n|\n|\r)/gm,"")));
	var cdata = unescape(jq("#import_links").val());
	$.modal.close();
	$("#import_cam_form").modal(
	
			{ containerCss: { width: 400, height: 230, padding:20 }}
	);
	var json = $.parseJSON(data[0][\'popupblob\']);
	if($.trim(json[\'targets\'][0][\'title\'])==\'301 Moved Permanently\' || $.trim(json[\'targets\'][0][\'title\'])==\'Error\' || $.trim(json[\'targets\'][0][\'title\'])==\'error\'){
		$("#title_t").show();
		$("#title_P").show();
		$("#cam_title").val(\'\');
	}
	$("#cam_id").val(data[0][\'id\']);
	$("#cam_name").val(data[0][\'name\']);
	$("#cam_url").val(data[0][\'url\']);
	$("#cam_json").val(data[0][\'popupblob\']);
	$("#next_cam_id").val(0+1);
	$("#cam_data").val(cdata);
	return false;
	});
	$("#action_form").live("submit",function(){
		var cnt = $(".tj_link_cl").filter(\':checked\').length;
		if(cnt=== 0 && $("#tjckr_action").val()!=\'import\'){
			alert("No campaign is selected to perform this action");
			return false;
		}
		if($("#tjckr_action").val()==\'-1\'){
			alert("No action is selected to perform");	
		}
		else if($("#tjckr_action").val() == \'delete\'){
			check = confirm("Are you sure you want to delete selected items");
			if(check){
				var str = jq(this).serialize();
				jq.ajax({
					type: "POST",
					url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
					data: \'action=deletemulti&\'+str,
					success: function(msg) {
					window.location.replace("?page=TRUSTJACKER-manage");

					}
				});
			
			}
			
		}
		else if($("#tjckr_action").val() == \'copy\'){
			$("#link_index").val(0+1);
			$("#link_id").val($(\'.tj_link_cl\').filter(\':checked\').eq(0).val());
			$("#link_name").val($(\'.tj_link_cl\').filter(\':checked\').eq(0).attr("data")+"_copy");
			$("#link_url").val($(\'.tj_link_cl\').filter(\':checked\').eq(0).attr("data2")+"_copy");
			$("#next_link_id").val($(\'.tj_link_cl\').filter(\':checked\').eq(0 + 1).val());
			
			$("#clone_form").modal(
			{ containerCss: { width: 400, height: 200, padding:20 }}
			);
		}
		
		else if($("#tjckr_action").val() == \'export\'){
			var str = jq(this).serialize();
			jq.ajax({
					type: "POST",
					url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
					data: \'action=exportmulti&\'+str,
					success: function(msg) {
					jq("#export_links").val(escape(msg));
					$("#export_form").modal(
						{ onShow:function (dialog){$(".export_links").zclip({
		path: "';  ;   echo TRUSTJACKER_URL  ;  echo '/js/ZeroClipboard.swf",
		copy: function() {
			return $(this).val();
		},
		afterCopy: function(){
		}
	});},containerCss: { width: 500, height: 300, padding:20 }}
						);
					}
					
			});
			
		}
		else if($("#tjckr_action").val() == \'import\'){
			
				$("#import_form").modal(
					{ 
					containerCss: { width: 500, height: 300, padding:20 }}
					);
		}
			
		
		return false;
	});
		
	$(".tjckr_url").zclip({
		path: "';  ;   echo TRUSTJACKER_URL  ;  echo '/js/ZeroClipboard.swf",
		copy: function() {
			return $(this).val();
		},
		afterCopy: function(){
		}
	});
	$(\'.tjckr_twt\').click(function(event) {
    var width  = 575,
        height = 400,
        left   = ($(window).width()  - width)  / 2,
        top    = ($(window).height() - height) / 2,
        url    = this.href,
        opts   = \'status=1\' +
                 \',width=\'  + width  +
                 \',height=\' + height +
                 \',top=\'    + top    +
                 \',left=\'   + left;
    
    window.open(url, \'share\', opts);
 
    return false;
  });
  
   jq("#check").live("change",function(){

		
		jq(".tj_link_cl").each( function() {
		jq(this).attr("checked",jq("#check").is(":checked"));
		});
		
		return false;
		});
});

     

</script>
<table class="form-table">
<tbody><tr valign="middle">
<td><img style="vertical-align:middle;" src="';  ;   echo TRUSTJACKER_URL  ;  echo '/img/tj-logo2.png" title="">';  ;   $version = get_option("TRUSTJACKER_versionNo");   ;  echo '<br><br></td>
<td align="right"></td>
</tr></tbody></table>
<div id="promotion">
</div>
	<div id="icon-link-manager" class="icon32"><br></div>

<h2>Manage Links</h2>



<p style="padding-left:40px;"><a href="?page=account">Dashboard</a>  |  <strong>Manage Campaigns</strong>  |  <a href="?page=TRUSTJACKER-addlink">Add Campaign</a>  |  <a href="?page=TRUSTJACKER-doc">Documentation</a></p>











	





<form name="action_form" id="action_form" method="post" action="">

<table class="widefat post fixed" cellspacing="0">

    <thead>

    <tr>
	 <th class="manage-column check-column">
<input type="checkbox" id="check">
</th>
      <th class="manage-column" width="20%"><span style="padding-left:5px;">Campaign Name</span></th>

      <th class="manage-column" width="15%"><span style="padding-left:0px;">Hits / Uniq</span></th>

      <!--<th class="manage-column" width="10%">Created</th>-->

      <th class="manage-column" width="28%"><span style="padding-left:5px;">Trust Jacker Links</span></th>

	  <!--<th class="manage-column" width="12%">Target</th>

	  <th class="manage-column" width="15%">Popup</th>-->
	  
	  <th class="" width="20%"><span style="padding-left:10px;">Quick Share Links</span></th>
	  
	  <th class="" width="17%"></th>

    </tr>

    </thead>

        <tbody>';  ;  

  
    global $prli_blogurl;
	$helptip = implode('',@file(TRUSTJACKER_PATH."/help.json"));
		$help = json_decode($helptip,true);
		$modal_message = implode('',@file(TRUSTJACKER_PATH."/message.json"));
		$m_message = json_decode($modal_message,true);
    foreach($links as $link)
    {
      $cl = new Zend_Utf8();
	  $obj = new Trustjacker_helper();
	  $week = $obj->tjckr_get_last_7_days_clicks($link->id);
	  $json = $link->popupblob;
	  
	  $url = json_decode(preg_replace("/\\\r\\\n|\\\r|\\\n\\\r|\\\n/m","",$json));
	  $targets = $url->targets;
	  $popups = $url->popups;
	  if($popups[0]->enable_site==1 && get_option("blogger")== "no")
	  continue;
        ;  echo '<tr style="min-height: 75px; height: 75px;" id="row_';  ;   echo $link->id  ;  echo '">
<td>
<input type="checkbox" value="';  ;   echo $link->id  ;  echo '" name="tj_links[]" class="tj_link_cl" data="';  ;   echo $link->name;  ;  echo '" data2="';  ;   echo $link->url;  ;  echo '">
</td>
        <td class="edit_link">



         
	<a class="slug_name" href="?page=TRUSTJACKER-manage&action=edit&id=';  ;   echo $link->id;   ;  echo '" title="Edit';  ;   echo " ".stripslashes($link->name);   ;  echo '">';  ;   echo stripslashes($link->name);   ;  echo '</a>

         

        </td>

    

       <td id="hit_';  ;   echo $link->id  ;  echo '">
     
          <span class="line">';  ;   echo $week;   ;  echo '</span>';  ;   echo (empty($link->clicks)?0:$link->clicks) . "/" . (empty($link->uniques)?0:$link->uniques);
          ;  echo '</td>
        <!--<td>07-28-2012</td>-->

        <td><input type=\'text\' style="font-size: 10px; width: 90%;position:relative" readonly="true" class="tjckr_url" onclick=\'this.select();\' onfocus=\'this.select();\' value=\'';  ;   if(get_option("prefix_enable")=='yes') echo site_url()."/".get_option("prefix")."/".$link->url; else  echo site_url()."/".$link->url;   ;  echo '\' /><a href="';  ;   if(get_option("prefix_enable")=='yes') echo site_url()."/".get_option("prefix")."/".$link->url; else echo site_url()."/".$link->url;   ;  echo '" target="_blank"><img src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/preview.png" alt="';  ;   echo $help['shortlink'];  ;  echo '" title="';  ;   echo $help['shortlink'];  ;  echo '" /></a><br/>
		<br>
		
      </td>
<!--	 <td>

	 	 <input type=\'text\' style="font-size: 10px; width: 100%;" readonly="true" onclick=\'this.select();\' onfocus=\'this.select();\' value=\'http://thinktwiceb4clicking.com\' /><br/>
	 </td>
	 <td>
	 	<input type=\'text\' style="font-size: 10px; width: 100%;" readonly="true" onclick=\'this.select();\' onfocus=\'this.select();\' value=\'HTML CODE GOES HERE\' />
     </td>-->
	 
	 <td>';  ;   
	 if(count($targets)>0){foreach($targets as $target){
	   ;  echo '<a href="http://www.facebook.com/sharer.php?u=';  ;   if(get_option("prefix_enable")=='yes') echo urlencode(site_url())."/".get_option("prefix")."/".$link->url; else echo urlencode(site_url()."/".$link->url);   ;  echo '" class="tjckr_twt"><img style="vertical-align:middle;padding-right:1px;" src="';  ;   echo TRUSTJACKER_URL  ;  echo '/img/fb.png" alt="';  ;   echo $help['facebook'];  ;  echo '" title="';  ;   echo $help['facebook'];  ;  echo '"></button></a>
	 
	 <a href="https://twitter.com/share?url=';  ;   if(get_option("prefix_enable")=='yes') echo urlencode(site_url())."/".get_option("prefix")."/".$link->url; else echo urlencode(site_url()."/".$link->url);   ;  echo '" class="twitter-share-button tjckr_twt" data-count="none" ><img style="vertical-align:middle;padding-right:1px;" src="';  ;   echo TRUSTJACKER_URL  ;  echo '/img/twtr.png" alt="';  ;   echo $help['twitter'];  ;  echo '" title="';  ;   echo $help['twitter'];  ;  echo '"></a>
	 
	  <a class="tjckr_twt" href="http://digg.com/submit?url=';  ;   if(get_option("prefix_enable")=='yes') echo urlencode(site_url())."/".get_option("prefix")."/".$link->url; else  echo urlencode(site_url()."/".$link->url);   ;  echo '"><img style="vertical-align:middle;padding-right:1px;" src="';  ;   echo TRUSTJACKER_URL  ;  echo '/img/digg.png" alt="';  ;   echo $help['dig'];  ;  echo '" title="';  ;   echo $help['dig'];  ;  echo '"></a>

	  <a class="tjckr_twt" href="https://plus.google.com/share?url=';  ;   if(get_option("prefix_enable")=='yes') echo urlencode(site_url())."/".get_option("prefix")."/".$link->url; else echo urlencode(site_url()."/".$link->url);   ;  echo '"><img style="vertical-align:middle;padding-right:1px;" src="';  ;   echo TRUSTJACKER_URL  ;  echo '/img/g+.png" alt="';  ;   echo $help['google'];  ;  echo '" title="';  ;   echo $help['google'];  ;  echo '"></a>
	   
	  <!-- they strip the tj redirect from links <a class="tjckr_twt" href="http://www.linkedin.com/shareArticle?mini=true&url=';  ;   if(get_option("prefix_enable")=='yes') echo urlencode(site_url())."/".get_option("prefix")."/".$link->url; else echo urlencode(site_url()."/".$link->url);   ;  echo '"><img style="vertical-align:middle;padding-right:1px;" src="';  ;   echo TRUSTJACKER_URL  ;  echo '/img/in.png"></a> -->
	 
	  <a class="tjckr_twt" href="http://reddit.com/submit?url=';  ;   if(get_option("prefix_enable")=='yes') echo urlencode(site_url())."/".get_option("prefix")."/".$link->url; else echo urlencode(site_url()."/".$link->url);   ;  echo '"><img style="vertical-align:middle;padding-right:1px;" src="';  ;   echo TRUSTJACKER_URL  ;  echo '/img/redt.png" alt="Share on Redit" title="Share on Redit" alt="';  ;   echo $help['redit'];  ;  echo '" title="';  ;   echo $help['redit'];  ;  echo '"></a>


	  <a class="tjckr_twt" href="http://www.stumbleupon.com/submit?url=';  ;   if(get_option("prefix_enable")=='yes') echo urlencode(site_url())."/".get_option("prefix")."/".$link->url; else echo urlencode(site_url()."/".$link->url);   ;  echo '"><img style="vertical-align:middle;padding-right:1px;" src="';  ;   echo TRUSTJACKER_URL  ;  echo '/img/stmbl.png" alt="';  ;   echo $help['stumple'];  ;  echo '" title="';  ;   echo $help['stumple'];  ;  echo '"></a>';  ;   if ($target->image != "") {  ;  echo '<a class="tjckr_twt" href="http://pinterest.com/pin/create/button/?url=';  ;   if(get_option("prefix_enable")=='yes') echo urlencode(site_url())."/".get_option("prefix")."/".$link->url; else echo urlencode(site_url()."/".$link->url);  ;  echo '&media=';  ;   echo urlencode($target->image);  ;  echo '" data="';  ;   echo $target->link;  ;  echo '"><img style="vertical-align:middle;padding-right:1px;" src="';  ;   echo TRUSTJACKER_URL  ;  echo '/img/pin.jpg" width="21" height="21"  alt="';  ;   echo $help['pinterest_enable'];  ;  echo '" title="';  ;   echo $help['pinterest_enable'];  ;  echo '" /></a>';  ;   }else{   ;  echo '<img style="vertical-align:middle;padding-right:1px;" src="';  ;   echo TRUSTJACKER_URL  ;  echo '/img/pin.jpg" width="21" height="21" alt="';  ;   echo $help['pinterest_disable'];  ;  echo '" title="';  ;   echo $help['pinterest_disable'];  ;  echo '" />';  ;   }   ;  echo '';  ;  
	 }}
	   ;  echo '</td>
	 <td>	 
	 	<div style="vertical-align:middle;font-size:75%;padding-top:4px;" class="tjckr_link_actions">
            <a href="#" class="tjckr_clone" data="';  ;   echo $link->id  ;  echo '" data2="';  ;   echo $link->name  ;  echo '"  data3="';  ;   echo $link->url  ;  echo '"   title="clone"><span style="color:red;">CLONE</span></a>&nbsp;|
			<a href="#" class="tjckr_reset" data="';  ;   echo $link->id  ;  echo '"  title="Reset"><span style="color:red;">RESET STATS</span></a>&nbsp;|
            <a href="?page=TRUSTJACKER-manage&amp;action=edit&amp;id=';  ;   echo $link->id  ;  echo '" title="Edit"><span style="color:red;">EDIT</span></a>&nbsp;|
            <a href="#" class="tjckr_delete" data="';  ;   echo $link->id  ;  echo '" title="Delete "><span style="color:red;">DELETE</span></a>
        </div>
	 </td>

      </tr>';  ;   }   ;  echo '<!--         <tfoot>

    <tr>

      <th class="manage-column"><span style="padding-left:5px;">Campaign Name</span></th>

      <th class="manage-column"><span style="padding-left:0px;">Hits / Uniq</span></th>

<!--      <th class="manage-column">Created</th>-->

<!--      <th class="manage-column"><span style="padding-left:5px;">Trust Jacker Links</span></th> -->

<!--	  <th class="manage-column">Target</th>

	  <th class="manage-column">Popup</th> -->
	  
<!--	  <th class="" width="15%"><span style="padding-left:10px;">Quick Share Links</span></th>
	  
	  <th class="" width="10%"></th>
	  
    </tr>

    </tfoot>-->

</tbody></table>
<br>

<div class="actions">
	<select name="gaction" id="tjckr_action">
		<option selected="selected" value="-1">Bulk Actions</option>
		<option value="delete">Delete</option>
		<option class="hide-if-no-js" value="copy">Copy</option>
		<option value="export">Export</option>
		<option value="import">Import</option>
		
	</select>
	<input type="submit" value="Apply" class="button-secondary action" id="doaction" name="submit">
</div>
<br>
<div>
	<span style="padding-left:5px;"><a href="?page=TRUSTJACKER-addlink" style="text-decoration:none"><img style="vertical-align:middle;" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/list-add.png">&nbsp; <strong>Add a New Campaign</strong></a></span>
</div>
</form>


<!-- modal content -->
<div style="display:none" id="clone_form">
	<form name="copy_link" id="copy_link" method="post">
	<h2> Copy This Campaign</h2>
	<div id="error" style="display:none; border: 1px solid;padding-left:10px;margin: 10px 0px;background-repeat: no-repeat;background-position: 10px center;color: #D8000C;background-color: #FFBABA;"></div>
	<table class="widefat post fixed">
		<tr class="form-feild">
			<td width="25%">
				<input type="hidden" name="link_index" id="link_index">
				<input type="hidden" name="link_id" id="link_id">
				<input type="hidden" name="next_link_id" id="next_link_id">
				New Link Name:</td><td> <input type="text" name="link_name" id="link_name" style="width:250px">
			</td>
		</tr>
		<tr class="form-feild">
			<td>
				New Link Url: 
			</td>
			<td>
				<strong>';  ;   echo esc_html(site_url()); if(get_option("prefix_enable")=='yes') echo "/".get_option("prefix");   ;  echo '</strong>/<input type="text" name="link_url" id="link_url" class="tjckr_link" style="width:100px">
			</td>
		</tr>
	</table>
<p class="submit" align="center"><input type="submit" value="Copy"><input type="button" id="cancel" value="Cancel"></p>
</form>
</div>
<!-- modal content export-->
<div style="display:none" id="export_form">
	<form name="export" id="cexport" method="post">
	<h2> Export Campaigns(click on text to select and copy)</h2>
	<table class="widefat post fixed">
		<tr>
			<td>
			<textarea name="export_links" class="export_links" id="export_links" readonly="true" onclick=\'this.select();\' onfocus=\'this.select();\' style="width:100%;height:200px;position:relative"></textarea>
			</td>
		</tr>
	</table>

<p class="submit" align="center"><input type="button" id="cancel_export" value="Close"></p>
</form>
</div>

<!-- modal content import-->
<div style="display:none" id="import_form">
	<form name="import" id="cimport" method="post">
	<h2> Import Campaigns (Paste code here then click Import)</h2>
	<table class="widefat post fixed">
		<tr class="form-feild">
			<td>
			<textarea name="import_links" id="import_links" style="width:100%;height:200px"></textarea>
			</td>
		</tr>
	</table>

<p class="submit" align="center"><input type="submit" value="Import"><input type="button" id="cancel_import" value="Cancel"></p>
</form>
</div>
<!-- import campaign modal content -->
<div style="display:none" id="import_cam_form">
	<form name="cam_form" id="cam_form" method="post">
	<h2> Import This Campaign</h2>
	<div id="error2" style="display:none; border: 1px solid;padding-left:10px;margin: 10px 0px;background-repeat: no-repeat;background-position: 10px center;color: #D8000C;background-color: #FFBABA;"></div>
	<table class="widefat post fixed">
		<tr class="form-feild">
			<td width="25%">
				<input type="hidden" name="cam_index" id="cam_index">
				<input type="hidden" name="cam_id" id="cam_id">
				<input type="hidden" name="cam_json" id="cam_json">
				<input type="hidden" name="next_cam_id" id="next_cam_id">
				<textarea style="display:none" name="cam_data" id="cam_data"></textarea>
				New Link Name:</td><td> <input type="text" name="cam_name" id="cam_name" style="width:250px">
			</td>
		</tr>
		<tr class="form-feild">
			<td>
				New Link Url: 
			</td>
			<td>
				<strong>';  ;   echo esc_html(site_url()); if(get_option("prefix_enable")=='yes') echo "/".get_option("prefix");  ;  echo '</strong>/<input type="text" name="cam_url" id="cam_url" class="tjckr_link" style="width:100px">
			</td>
		</tr>
		<tr id="title_P" style="display:none"><td colspan="2" style="color: #D8000C;background-color: #FFBABA;">';  ;   echo $m_message["title_import"];  ;  echo '</td></tr>
		<tr id="title_t" style="display:none">
			<td>
				Enter Title : 
			</td>
			<td>
				<input type="text" name="cam_title" id="cam_title"  style="width:250px">
			</td>
		</tr>
	</table>

<p class="submit" align="center"><input type="submit" value="Import Campaign"><input type="button" id="cancel_cam_import" value="Cancel"></p>
</form>
</div>';  ;   } 
?>