<?php

class Trustjacker_helper{
	var $table_name_links;
	var $table_name_clicks;
	function Trustjacker_helper(){
	try
	{
		global $wpdb;
		$this->table_name_links = $wpdb->prefix."TRUSTJACKER_links";
		$this->table_name_clicks = $wpdb->prefix."TRUSTJACKER_clicks";
	}catch(Exception $e){
	
	}

	}
	function tjckr_create($values){
		try{
		global $wpdb;
		require_once(TRUSTJACKER_PATH."/Zend_Utf8.php");
		$links = array();
		 foreach($_POST['t_link'] as $key=>$tlink){
			$links[$key]['link'] = $tlink;
			$links[$key]['method'] = $_POST["t_method"][$key];
			$links[$key]['title'] = $_POST["t_title"][$key];
			$links[$key]['icon'] = $_POST["t_icon"][$key];
			$links[$key]['image'] = $_POST["t_image"][$key];
			$links[$key]['weight'] = $_POST["t_weight"][$key];
			$links[$key]['f_title'] = $_POST["t_f_title"][$key];
			$links[$key]['f_description'] = $_POST["t_description"][$key];
			$links[$key]['f_image'] = $_POST["t_image"][$key];
		 }

		 $popups = array();
		
		
		$cl = new Zend_Utf8();
		 if($_POST["popup_use_editor"]==0){
			$popups[0]['link'] = $cl->escape(stripslashes_deep($_POST['p_link1'][0]));
			$popups[0]['is_shortcode'] = 0;
		}
		else if($_POST["popup_use_editor"]==1){
			$popups[0]['link'] = $cl->escape(stripslashes_deep($_POST['p_link2'][0]));
			$pattern = get_shortcode_regex();

			if (   preg_match_all( '/'. $pattern .'/s', $cl->escape(stripslashes_deep($_POST['p_link2'][0])), $matches )
				&& array_key_exists( 2, $matches )
				)
			{
								$popups[0]['is_shortcode'] = 1;
			}else
				$popups[0]['is_shortcode'] = 0;
		}
		if(isset($_POST["p_redirect"][0]))
			$popups[0]['redirect'] = '1';
		else
			$popups[0]['redirect'] = '0';
		$popups[0]['popup_use_editor'] = $_POST["popup_use_editor"];
		$popups[0]['delay'] = $_POST["p_delay"][0];
		$popups[0]['width'] = $_POST["p_width"][0];
		$popups[0]['height'] = $_POST["p_height"][0];
		if(isset($_POST["p_enable"][0])){
			$popups[0]['p_enable'] = 1;
			$popups[0]['p_disable_unit'] = $_POST["p_disable_unit"][0];
			$popups[0]['p_disable_value'] = $_POST["p_disable_value"][0];
		}else{
			$popups[0]['p_enable'] = 0;
		}
		
		if(isset($_POST["enable_site"])){
			$popups[0]['keywords'] = $_POST["keywords"];
			
			$popups[0]['key_count'] = $_POST["key_count"];
			$popups[0]['pop_options'] = $_POST["pop_options"];
			$popups[0]['popin_options'] = $_POST["popin_options"];
			if(isset($_POST["p_cat_id"]))
			$popups[0]['p_cat_id'] = implode(',',$_POST["p_cat_id"]);
			if(isset($_POST["p_post_id"]))
			$popups[0]['p_post_id'] = implode(',',$_POST["p_post_id"]);
			if(isset($_POST["p_page_id"]))
			$popups[0]['p_page_id'] = implode(',',$_POST["p_page_id"]);
			if(isset($_POST["pin_cat_id"]))
			$popups[0]['pin_cat_id'] = implode(',',$_POST["pin_cat_id"]);
			if(isset($_POST["pin_post_id"]))
			$popups[0]['pin_post_id'] = implode(',',$_POST["pin_post_id"]);
			if(isset($_POST["pin_page_id"]))
			$popups[0]['pin_page_id'] = implode(',',$_POST["pin_page_id"]);
			$popups[0]['enable_site'] = 1;
		}else{
			$popups[0]['keywords'] = $_POST["keywords"];
			
			$popups[0]['key_count'] = $_POST["key_count"];
			if(isset($_POST["t_cat_id"]))
			$popups[0]['t_cat_id'] = implode(',',$_POST["t_cat_id"]);
			if(isset($_POST["t_post_id"]))
			$popups[0]['t_post_id'] = implode(',',$_POST["t_post_id"]);
			if(isset($_POST["t_page_id"]))
			$popups[0]['t_page_id'] = implode(',',$_POST["t_page_id"]);
			$popups[0]['key_options'] = $_POST["key_options"];
			$popups[0]['enable_site'] = 0;
		}
		if(isset($_POST["p_iframe"][0]))
		$popups[0]['iframe'] = true;
		else
		$popups[0]['iframe']  = 0;
		if(isset($_POST["p_exittext"][0]) && isset($_POST["p_redirect"][0]) && $_POST["p_redirect"][0]==1)
		$popups[0]['exittext'] =  $cl->escape(stripslashes_deep(nl2br($_POST["p_exittext"][0])));
		else
		$popups[0]['exittext']  = '';
		 

		  $popup_blob = "{ \"targets\":". json_encode($links) ." ,\"popups\":".json_encode($popups) . "}";
		 
		  $query_str = "INSERT INTO {$this->table_name_links} " . 
						 '(url,'.
						  'name,'.
						  'popupblob,'.
						  'created_at) ' .
						  'VALUES (%s,%s,%s,NOW())';

		  $query = $wpdb->prepare( $query_str,
								   $values['url'],
								   $cl->escape(stripslashes_deep($values['slug'])),$popup_blob);
		  $query_results = $wpdb->query($query);

		 if($query_results)
			return $wpdb->insert_id;
		else
		return false;
		}catch(Exception $e){
		
		}
	}
	function tjckr_update($values){
		try{
			require_once(TRUSTJACKER_PATH."/Zend_Utf8.php");
			global $wpdb;
			$links = array();
			 foreach($_POST['t_link'] as $key=>$tlink){
				$links[$key]['link'] = $tlink;
				$links[$key]['method'] = $_POST["t_method"][$key];
				$links[$key]['title'] = $_POST["t_title"][$key];
				$links[$key]['icon'] = $_POST["t_icon"][$key];
				$links[$key]['image'] = $_POST["t_image"][$key];
				$links[$key]['weight'] = $_POST["t_weight"][$key];
				$links[$key]['f_title'] = $_POST["t_f_title"][$key];
				$links[$key]['f_description'] = $_POST["t_description"][$key];
				$links[$key]['f_image'] = $_POST["t_image"][$key];
			 }

			$cl = new Zend_Utf8();
			 if($_POST["popup_use_editor"]==0){
			$popups[0]['link'] = $cl->escape(stripslashes_deep($_POST['p_link1'][0]));
			$popups[0]['is_shortcode'] = 0;
			}
			else if($_POST["popup_use_editor"]==1){
				$popups[0]['link'] = $cl->escape(stripslashes_deep($_POST['p_link2'][0]));
				$pattern = get_shortcode_regex();

				if (   preg_match_all( '/'. $pattern .'/s', $cl->escape(stripslashes_deep($_POST['p_link2'][0])), $matches )
					&& array_key_exists( 2, $matches )
					)
				{
										$popups[0]['is_shortcode'] = 1;
				}else
					$popups[0]['is_shortcode'] = 0;
			}
			$popups[0]['popup_use_editor'] = $_POST["popup_use_editor"];
			$popups[0]['delay'] = $_POST["p_delay"][0];
			$popups[0]['width'] = $_POST["p_width"][0];
			$popups[0]['height'] = $_POST["p_height"][0];
			if(isset($_POST["p_enable"][0])){
			$popups[0]['p_enable'] = 1;
			$popups[0]['p_disable_unit'] = $_POST["p_disable_unit"][0];
			$popups[0]['p_disable_value'] = $_POST["p_disable_value"][0];
			}else{
				$popups[0]['p_enable'] = 0;
			}
		if(isset($_POST["enable_site"])){
			$popups[0]['keywords'] = $_POST["keywords"];
			$popups[0]['key_count'] = $_POST["key_count"];
			$popups[0]['pop_options'] = $_POST["pop_options"];
			$popups[0]['popin_options'] = $_POST["popin_options"];
			if(isset($_POST["p_cat_id"]))
			$popups[0]['p_cat_id'] = implode(',',$_POST["p_cat_id"]);
			if(isset($_POST["p_post_id"]))
			$popups[0]['p_post_id'] = implode(',',$_POST["p_post_id"]);
			if(isset($_POST["p_page_id"]))
			$popups[0]['p_page_id'] = implode(',',$_POST["p_page_id"]);
			$popups[0]['enable_site'] = 1;
			if(isset($_POST["pin_cat_id"]))
			$popups[0]['pin_cat_id'] = implode(',',$_POST["pin_cat_id"]);
			if(isset($_POST["pin_post_id"]))
			$popups[0]['pin_post_id'] = implode(',',$_POST["pin_post_id"]);
			if(isset($_POST["pin_page_id"]))
			$popups[0]['pin_page_id'] = implode(',',$_POST["pin_page_id"]);
		}else{
			$popups[0]['keywords'] = $_POST["keywords"];
			
			$popups[0]['key_count'] = $_POST["key_count"];
			$popups[0]['key_options'] = $_POST["key_options"];
			if(isset($_POST["t_cat_id"]))
			$popups[0]['t_cat_id'] = implode(',',$_POST["t_cat_id"]);
			if(isset($_POST["t_post_id"]))
			$popups[0]['t_post_id'] = implode(',',$_POST["t_post_id"]);
			if(isset($_POST["t_page_id"]))
			$popups[0]['t_page_id'] = implode(',',$_POST["t_page_id"]);
			$popups[0]['enable_site'] = 0;
		}
			if(isset($_POST["p_redirect"][0]))
				$popups[0]['redirect'] = '1';
			else
				$popups[0]['redirect'] = '0';
			if(isset($_POST["p_iframe"][0]))
			$popups[0]['iframe'] = true;
			else
			$popups[0]['iframe']  = 0;
			if(isset($_POST["p_exittext"][0]) && isset($_POST["p_redirect"][0]) && $_POST["p_redirect"][0]==1)
			$popups[0]['exittext'] = $cl->escape(stripslashes_deep(nl2br($_POST["p_exittext"][0])));
			else
			$popups[0]['exittext']  = '';

			$popup_blob = "{ \"targets\":". json_encode($links) ." ,\"popups\":".json_encode($popups) . "}";


			  $query_str = "UPDATE {$this->table_name_links} SET 
									  url = %s,
									   name = %s,popupblob=%s where id = %s";
			 
			  $query = $wpdb->prepare( $query_str,
									   $values['url'],
									   $cl->escape(stripslashes_deep($values['slug'])),$popup_blob,$values['id']);
			  $query_results = $wpdb->query($query);

			 if($query_results)
				return true;
			else
			return false;
		}catch(Exception $e){
			
		}
		}
		
	function tjckr_link_exist( $values )
	{
	  try{
	  global $wpdb;
	  if(isset($_POST['id'])){
	    $id = $_POST['id'];
		$q = " and id!='$id'";
	  }
	  else
		$q = "";
		$url = $_POST["url"];
	   $query = "SELECT count(*) as total FROM ".$this->table_name_links." WHERE url='$url' $q LIMIT 1";
	   
		$track_link = $wpdb->get_row($query);
		return $track_link->total;
		}catch(Exception $e){
		
		}
	}
	
	function tjckr_get_page_id($name)
	{
	global $wpdb;
			$page_id = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE ( post_name = '".$name."' or post_title = '".$name."' ) and post_status = 'publish'");
		return $page_id;
	}
	function tjckr_get_page_permalink($name)
	{
		$page_id = $this->tjckr_get_page_id($name);
		return $page_id;
	}
	function tjckr_link_exist_clone( $link )
	{
		try{
		global $wpdb;
	   $query = "SELECT count(*) as total FROM ".$this->table_name_links." WHERE url='$link' LIMIT 1";
	   
		$track_link = $wpdb->get_row($query);
		return $track_link->total;
		}catch(Exception $e){
		
		}
	}
			
	function tjckr_clone( $values )
	{
	  try{
	  global $wpdb;
		$id = $values['link_id'];
		$copy_link_name = $values['link_name'];
		$copy_link_url = $values['link_url'];
	   $query = "SELECT * FROM ".$this->table_name_links." WHERE id='$id'";
	   
		$link = $wpdb->get_row($query);
		$copy_link_json = $link->popupblob;
		 $query_str = "INSERT INTO {$this->table_name_links} " . 
						 '(url,'.
						  'name,'.
						  'popupblob,'.
						  'created_at) ' .
						  'VALUES (%s,%s,%s,NOW())';

		  $query = $wpdb->prepare( $query_str,
								   $copy_link_url,
								   $copy_link_name,$copy_link_json);
		  $query_results = $wpdb->query($query);

		 if($query_results)
			return $wpdb->insert_id;
		else
		return false;
		}catch(Exception $e){
		
		}
	}	
	function tjckr_import($values){
	 try{
	  global $wpdb;
		$copy_link_name = $values["cam_name"];
		$copy_link_url = $values["cam_url"];
	
		$copy_link_json = stripslashes($values["cam_json"]);
		 $query_str = "INSERT INTO {$this->table_name_links} " . 
						 '(url,'.
						  'name,'.
						  'popupblob,'.
						  'created_at) ' .
						  'VALUES (%s,%s,%s,NOW())';

		  $query = $wpdb->prepare( $query_str,
								   $copy_link_url,
								   $copy_link_name,$copy_link_json);
		  $query_results = $wpdb->query($query);

		 if($query_results)
			return $wpdb->insert_id;
		else
		return false;
		}catch(Exception $e){
		
		}
	
	}
function tjckr_clone_single( $id,$link_name,$link_url )
	{
	  try{
	  global $wpdb;
		$copy_link_name = $link_name;
		$copy_link_url = $link_url;
	   $query = "SELECT * FROM ".$this->table_name_links." WHERE id='$id'";
	   
		$link = $wpdb->get_row($query);
		$copy_link_json = $link->popupblob;
		 $query_str = "INSERT INTO {$this->table_name_links} " . 
						 '(url,'.
						  'name,'.
						  'popupblob,'.
						  'created_at) ' .
						  'VALUES (%s,%s,%s,NOW())';

		  $query = $wpdb->prepare( $query_str,
								   $copy_link_url,
								   $copy_link_name,$copy_link_json);
		  $query_results = $wpdb->query($query);

		 if($query_results)
			return $wpdb->insert_id;
		else
		return false;
		}catch(Exception $e){
		
		}
	}	
	
	function tjckr_update_popup($id, $json){
		try{
		global $wpdb;
					  $query_str = "UPDATE {$this->table_name_links} SET 
									  popupblob = %s
									   where id = %s";
			 
			  $query = $wpdb->prepare( $query_str,
									   $json,
									   $id);
			
			  $query_results = $wpdb->query($query);

			 if($query_results)
				return true;
			else
			return false;
	  }catch(Exception $e){
		
		}
	
	}
	function tjckr_export($values){
	try{
		global $wpdb;
		$arry = implode(",",$values["tj_links"]); 
		$query = "SELECT * FROM ".$this->table_name_links." WHERE id IN ($arry)";
	  
		$track_link = $wpdb->get_results($query);
		return json_encode($track_link);
		}catch(Exception $e){
		}
		
	}			
	function tjckr_link_hash_exist( $hash )
	{
	  try{
	  global $wpdb;
	 
	   $query = "SELECT * FROM ".$this->table_name_links." WHERE url='$hash'";
	   
		$track_link = $wpdb->get_row($query);
		return $track_link;
		}catch(Exception $e){
		
		}
	}
	function tjckr_destroy( $id )
	{
	  try{
	  global $wpdb;

	  $reset = $wpdb->prepare("DELETE FROM {$this->table_name_clicks} WHERE link_id=%d",$id);
	  $destroy = $wpdb->prepare("DELETE FROM {$this->table_name_links} WHERE id=%d",$id);


	  $wpdb->query($reset);
	  return $wpdb->query($destroy);
	  }catch(Exception $e){
		
		}
	}
	function tjckr_reset( $id )
	{
	  try{
	  global $wpdb;
	   $query = "SELECT * FROM ".$this->table_name_links." WHERE id='$id' LIMIT 1";
		$track_link = $wpdb->get_row($query);


	  	  $cookie_name = 'prli_click_' . $track_link->id;

	  	  $cookie_expire_time = time()-60; 
		setcookie($cookie_name,$track_link->name,$cookie_expire_time,'/');
		
	  

	  $reset = $wpdb->prepare("DELETE FROM {$this->table_name_clicks} WHERE link_id=%d", $id);
	  return $wpdb->query($reset);
	  }catch(Exception $e){
		
		}
	}
	function tjckr_get_last_7_days_clicks($link_id){
	try{
		global $wpdb;

		$m= date("m");
		$de= date("d");
		$y= date("Y");
		$data = array();
		for($i=0; $i<7; $i++){
			$date =  date('Y-m-d',mktime(0,0,0,$m,($de-$i),$y)); 
			$query = 'SELECT li.*, (SELECT COUNT(*) FROM '.$this->table_name_clicks." cl WHERE cl.link_id = li.id AND cl.created_at between '".$date." 00:00:00' and '".$date." 23:59:59'". ') as clicks FROM '.$this->table_name_links.' li  WHERE li.id ='.$link_id.' ORDER BY created_at DESC'; 
			$results = $wpdb->get_row($query);
			$data[$i] = $results->clicks; 
		}
		return implode(',',$data);
		}catch(Exception $e){
		
		}
	}
	function tjckr_get_last_day_clicks(){
	    try{
		global $wpdb;

		$m= date("m");
		$de= date("d");
		$y= date("Y");
		$data = array();
	
		$date =  date('Y-m-d',mktime(0,0,0,$m,($de-0),$y)); 
		$query = 'SELECT li.*, (SELECT COUNT(*) FROM '.$this->table_name_clicks." cl WHERE cl.link_id = li.id AND cl.created_at between '".$date." 00:00:00' and '".$date." 23:59:59'". ') as clicks FROM '.$this->table_name_links.' li  ORDER BY created_at DESC'; 
		$results = $wpdb->get_row($query);
		return $results->clicks;
		}catch(Exception $e){
		
		}		
		}
	function tjckr_get_clicks_uniq_all(){
		try{
		global $wpdb;
	  
		$query = 'SELECT li.*, (SELECT COUNT(*) FROM '.$this->table_name_clicks.' cl WHERE cl.link_id = li.id) as clicks, (SELECT COUNT(*) FROM '.$this->table_name_clicks.' cl WHERE cl.link_id = li.id AND cl.first_click <> 0) as uniques FROM '.$this->table_name_links.' li ORDER BY created_at DESC'; 
		$results = $wpdb->get_results($query);
		return $results;
		}catch(Exception $e){
		
		}
	}
  
   function tjckr_get_clicks_uniq($link_id){
   try{
    global $wpdb;

    $query = 'SELECT li.*, (SELECT COUNT(*) FROM '.$this->table_name_clicks.' cl WHERE cl.link_id = li.id) as clicks, (SELECT COUNT(*) FROM '.$this->table_name_clicks.' cl WHERE cl.link_id = li.id AND cl.first_click <> 0) as uniques FROM '.$this->table_name_links.' li  WHERE li.id ='.$link_id.' ORDER BY created_at DESC'; 
    $results = $wpdb->get_row($query);
	return $results;
	}catch(Exception $e){
		
		}
  }

  function tjckr_track_link($link_id)
  {
	try{
    global $wpdb;
    $query = "SELECT * FROM ".$this->table_name_links." WHERE id='$link_id' LIMIT 1";
    $track_link = $wpdb->get_row($query);
    
   
      $first_click = 0;
      
      $click_ip =         isset($_SERVER['REMOTE_ADDR'])?$_SERVER['REMOTE_ADDR']:'';
      $click_referer =    isset($_SERVER['HTTP_REFERER'])?$_SERVER['HTTP_REFERER']:'';
      $click_uri =        isset($_SERVER['REQUEST_URI'])?$_SERVER['REQUEST_URI']:'';
      $click_user_agent = isset($_SERVER['HTTP_USER_AGENT'])?$_SERVER['HTTP_USER_AGENT']:'';

	        $cookie_name = 'prli_click_' . $track_link->id;

            $cookie_expire_time = time()+60*60*24*30;       
      if(!isset($_COOKIE[$cookie_name]))
      {
        setcookie($cookie_name,$track_link->name,$cookie_expire_time,'/');
        $first_click = 1;
      }
	$browser = $this->tjckr_php_get_browser();

	$click_host = gethostbyaddr($click_ip);


		$insert_str = "INSERT INTO {$this->table_name_clicks} (link_id,vuid,ip,browser,btype,bversion,os,referer,uri,host,first_click,robot,created_at) VALUES (%d,%s,%s,%s,%s,%s,%s,%s,%s,%s,%d,%d,NOW())";
	$insert = $wpdb->prepare($insert_str, $track_link->id,
										  '',
										  $click_ip,
										  $click_user_agent,
										  $browser['browser'],
										  $browser['version'],
										  $browser['platform'],
										  $click_referer,
										  $click_uri,
										  $click_host,
										  $first_click,
										  0);
	
	$results = $wpdb->query( $insert );

   }catch(Exception $e){
		
		}
  }
  
  
  function tjckr_rlb_message($message , $type = "error"){
	try{
	if ($type == "error"){

		if (isset($_SESSION["_RLBERROR_"])){

			if (!in_array($message,$_SESSION["_RLBERROR_"])){

				$_SESSION["_RLBERROR_"][]= $message;

			}

		}else{

			$_SESSION["_RLBERROR_"] =array ($message);

		}

	}else{

		if (isset($_SESSION["_messages"])){

			if (!in_array($message,$_SESSION["_messages"])){

				$_SESSION["_messages"][]= $message;

			}

		}else{

			$_SESSION["_messages"] =array ($message);

		}

	}
	}catch(Exception $e){
		
		}
	}

  function tjckr_php_get_browser($agent = NULL)
  {
	try{
    $agent=$agent?$agent:$_SERVER['HTTP_USER_AGENT'];
    $yu=array();
    $q_s=array("#\.#","#\*#","#\?#");
    $q_r=array("\.",".*",".?");
    $brows =& $this->tjckr_php_get_browsercap_ini();

    if(!empty($brows) and $brows and is_array($brows))
    {
      foreach($brows as $k=>$t)
      {
        if(fnmatch($k,$agent))
        {
          $yu['browser_name_pattern']=$k;
          $pat=preg_replace($q_s,$q_r,$k);
          $yu['browser_name_regex']=strtolower("^$pat$");
          foreach($brows as $g=>$r)
          {
            if($t['Parent']==$g)
            {
              foreach($brows as $a=>$b)
              {
                if($r['Parent']==$a)
                {
                  $yu=array_merge($yu,$b,$r,$t);
                  foreach($yu as $d=>$z)
                  {
                    $l=strtolower($d);
                    $hu[$l]=$z;
                  }
                }
              }
            }
          }
      
          break;
        }
      }
    }
  
    return $hu;
	}catch(Exception $e){
		
		}
  }
	function &tjckr_php_get_browsercap_ini()
	  {
		try{
						static $browsecap_ini;
		
		if(!isset($browsecap_ini))
		{
		  if( version_compare(PHP_VERSION, '5.3.0') >= 0 )
			$browsecap_ini =& parse_ini_file( TRUSTJACKER_PATH . "/php/browscap.ini", true, INI_SCANNER_RAW );
		  else
			$browsecap_ini =& parse_ini_file( TRUSTJACKER_PATH . "/php/browscap.ini", true );
		}
		
		return $browsecap_ini;
		}catch(Exception $e){
		
		}
	  }
	  
	  	  
	  function tjckr_delay_dropdown($value = ''){
	  try{
	  
		$checked1 = ''; $checked2 = '';
		if($value == '-1')
			$checked1 = "selected";  
		if($value == '0') 
			$checked2 = "selected"; 
		$delay_select = '<select name="p_delay[]" id="p_delay"><option value="-1" '.$checked1.'>Exit Pop Only</option><option value="0" '.$checked2.'>On Page Load</option>';
		$delays =array(3,5,10,15,30,60);
		foreach ($delays as &$i) {
			
			if($i == $value)
			$selected = "selected";
			else
			$selected = "";
			$delay_select .= "<option value=\"$i\" $selected>$i Second Delay</option>";
		}
		$delay_select .= "</select>";
		return $delay_select;
	  }catch(Exception $e){
		
		}
	}
	
	function tjckr_get_iframe($link){
	   try{
		return	'<iframe src="'.$link.'" height="100px" width="500px"></iframe>';
		}catch(Exception $e){
		
		}
	}
	
	
	
	function tjckr_get_form($link_id='',$link_name='',$link_url='',$targets=array(),$popups=array()){
	try{
	$cl = new Zend_Utf8();
	$modal_message = implode('',@file(TRUSTJACKER_PATH."/message.json"));
	$m_message = json_decode($modal_message,true);

		ob_start();
		  ;  echo '<div id="error" style="display:none; border: 1px solid;margin: 10px 0px;padding:15px 10px 15px 50px;background-repeat: no-repeat;background-position: 10px center;color: #D8000C;background-color: #FFBABA;"></div>
		<div id="success" style="display:none; border: 1px solid;margin: 10px 0px;padding:15px 10px 15px 50px;background-repeat: no-repeat;background-position: 10px center;color: #4F8A10;background-color: #DFF2BF;"></div>

		<table class="form-table">
<tbody><tr valign="middle">
<td><img style="vertical-align:middle;" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tj-logo2.png" title="">';  ;   $version = get_option("TRUSTJACKER_versionNo");   ;  echo '<br><br></td>
<td align="right"></td>
</tr></tbody></table>
<!-- <div id="promotion">
</div> -->
   <form name="add" id="add" method="post" action="?page=';  ;   echo TRUSTJACKER_PLUGIN_NAME   ;  echo '/TRUSTJACKER.php">

<div id="icon-edit" class="icon32"></div>   
<h2>';  ;   if($link_id=='') echo "Add a New Campaign"; else echo "Edit a New Campaign";  ;  echo '</h2>
<p style="padding-left:40px;"><a href="?page=account">Dashboard</a>  |  <a href="?page=TRUSTJACKER-manage">Manage Campaigns</a>  |  <strong>Add Campaign</strong>  |  <a href="?page=TRUSTJACKER-doc">Documentation</a></p>


<br>
		

		<input type="hidden" name="id" value="';  ;   echo $link_id;   ;  echo '">

<table>
	<tr>
		<td><i><span style="background-color:#cc0000;color:#FFF;padding:4px;"><strong>STEP 1:</strong></span> &nbsp;&nbsp;Enter Campaign Details</i></td>
	</tr>
	<tr><td>&nbsp;</td></tr>
</table>

<table class="widefat post fixed" cellspacing="0">

    <thead>

			<tr>
			
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Name Your Campaign</span></th>

				<td style="vertical-align:middle;padding-left:50px;"><strong></strong><input type="text" name="slug" id="slug" value="';  ;   echo $cl->unescape(esc_html($link_name));  ;  echo '" size="50"/>
				<span class="tjckr_helptip" id="campaign_name"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></a>
				<span class="toggle_pane description"><br/>&nbsp;Make it something descriptive</span></td>
			</tr>
			<tr class="form-field">
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Choose a Tracking Word</span></th>

				<td style="vertical-align:middle;padding-left:50px;"><strong>';  ;   echo esc_html(site_url()); if(get_option("prefix_enable")=='yes') echo "/".get_option("prefix");  ;  echo '</strong>/<input type="text" name="url" id="url" class="tjckr_link" value="';  ;   echo $link_url;  ;  echo '" style="width:135px"/>
				<span class="tjckr_helptip" id="tracking_word"><img style="vertical-align:middle; cursor:pointer;" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>
				<span class="description toggle_pane"><br/>&nbsp;Eg., weightloss, health, love</span></td>
			</tr>
			<tr>
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Destination URL</span></th>

				<td style="vertical-align:middle;padding-left:50px;"><strong></strong>
				<input style="color:#666666;" class="tjckr_urls" type="text"';  ;   if($link_id!='') echo "value=\"".$targets[0]->link."\""; else echo "value=\"http://\"";  ;  echo 'size="50" name="t_link[]" id="t_link" />
				<span class="tjckr_helptip" id="target_url"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>';  ;   if(get_option("blogger")== "yes"){  ;  echo '&nbsp;<input type="checkbox" name="enable_site" id="enable_site"';  ;   if($popups[0]->enable_site=='1') echo "checked";  ;  echo '>&nbsp;Use this site
				<span class="tjckr_helptip" id="use_site"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>';  ;   }   ;  echo '<span class="toggle_pane description"><br/>&nbsp;URL of the article or page you wish to send the visitor</span></td>
				<input type="hidden" name="t_method[]" value="iframe">
				<input type="hidden" id="title" name="t_title[]" value="';  ;   echo stripslashes($targets[0]->title);  ;  echo '">
				<input type="hidden" id="icon" name="t_icon[]" value="';  ;   echo $targets[0]->icon;  ;  echo '">
				<input type="hidden" id="image" name="t_image[]" value="';  ;   echo $targets[0]->image;  ;  echo '">
				
			</tr>
			
			
			
</table>
		

<br><br>
		

<table>

	<tr>
		<td><i><span style="background-color:#cc0000;color:#FFF;padding:4px;"><strong>STEP 2:</strong></span>&nbsp;&nbsp;Create Your Popup</i></td>
	</tr>
	<tr><td>&nbsp;</td></tr>
</table>
		
		



<table class="widefat post fixed" cellspacing="0">

   <thead>

			<tr>	
					
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Popup Source</th>
				<td style="vertical-align:middle;padding-left:50px;"><input style="background-color:#f8e7dc;padding:2px;"  type="radio" id="popup_use_editor1"  class="tjckr_popup" name="popup_use_editor" value="0"';  ;   if($popups[0]->popup_use_editor!=1) echo "checked";  ;  echo '/>&nbsp;Option1: Enter a Link&nbsp;&nbsp; <input style="background-color:#f8e7dc;padding:2px;"  type="radio" id="popup_use_editor2" class="tjckr_
				tjckr_popup" name="popup_use_editor" value="1"';  ;   if($popups[0]->popup_use_editor==1) echo "checked";  ;  echo '/>&nbsp;Option 2: Create Your Own&nbsp;&nbsp;</span></td>
			</tr>
			
			<tr id="pop_link"';  ;   if($popups[0]->popup_use_editor==1) echo "style=\"display:none\"";  ;  echo '>
			
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;"><span style="padding:2px;background-color:#FFF;">OPTION 1</span> &nbsp;Enter a Link</span></th>
			
			<!--  problem child -->
				<td style="vertical-align:middle;padding-left:50px;"><input type="text" id="p_link1" name="p_link1[]" class="tjckr_popurls"';  ;   if($link_id!='' && $popups[0]->popup_use_editor==0) echo "value=\"".$cl->unescape(esc_html($popups[0]->link))."\""; else echo "value=\"http://\"";  ;  echo 'size="50"/><span style="margin-left:20px;" class="toggle_pane description"></span><input  name="p_redirect[]" id="p_redirect" type="checkbox" value="1"';  ;   if($popups[0]->redirect=='1') echo "checked";  ;  echo '>&nbsp;Use Redirect&nbsp;<span class="tjckr_helptip" id="popupRedirect"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span><br/><span style="padding-left:20px;">Pull content from any URL into your popup (iframe)</span>&nbsp;<span class="tjckr_helptip" id="popuplink"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>
			
		
				</td>
			</tr>
			<tr id="pop_html"';  ;   if($popups[0]->popup_use_editor!=1) echo "style=\"display:none\"";  ;  echo '>
			
			<th class="manage-column" width="20%" height="260"><span style="padding-left:5px;"><span style="padding:2px;background-color:#FFF;">OPTION 2</span> &nbsp;Create Your Own</span></th>
			
				<td style="vertical-align:middle;padding-left:50px;"><div id="postdivrich" class="postarea">';  ;   echo wp_editor($cl->unescape($popups[0]->link),"content",array("textarea_name"=>"p_link2[]"));  ;  echo '</div>
			<span class="toggle_pane description"><span style="margin-left:20px;"> Create your own popup content using text or HTML</span>&nbsp;<span class="tjckr_helptip" id="popuphtml"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>
		
				</td>
			</tr>
			<tr id="exit"';  ;   if($popups[0]->redirect!="1") echo "style=\"display:none\"";  ;  echo '>
			
			<th class="manage-column" width="20%"><span style="padding-left:5px;"> Redirection\'s Exit Dialog Text</span></th>
			
				<td style="vertical-align:middle;padding-left:50px;"><div id="postdivrich" class="postarea"><textarea name="p_exittext[]" id="p_exittext" rows="2" style="width:300px">';  ;   echo str_replace("<br />", "\n",$popups[0]->exittext);  ;  echo '</textarea>
				</div>
			<span class="toggle_pane description"><span style="">Presets:<select name="alert_drop" id="alert_drop">
				<option value="Before you go, please take a look at this special offer...">Before you go, please take a look at this special offer..</option></div>
				<option value="Wait, click ok to take advantage of this limited time offer...">Wait, click ok to take advantage of this limited time offer...</option>
				</select></span>&nbsp;<span class="tjckr_helptip" id="exitAlertText"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>
		
				</td>
			</tr>
			
</table>
		

<br id="br1"';  ;   if($popups[0]->redirect=="1") echo "style=\"display:none\"";  ;  echo '>
<br id="br2"';  ;   if($popups[0]->redirect=="1") echo "style=\"display:none\"";  ;  echo '>
		

<table id="pop_head"';  ;   if($popups[0]->redirect=="1") echo "style=\"display:none\"";  ;  echo '>

	<tr>
		<td><i><span style="background-color:#cc0000;color:#FFF;padding:4px;"><strong>STEP 3:</strong></span> &nbsp;&nbsp;Popup Settings</i></td>
	</tr>
	<tr><td>&nbsp;</td></tr>
</table>
		
		



<table id="pop_setting" class="widefat post fixed" cellspacing="0"';  ;   if($popups[0]->redirect=="1") echo "style=\"display:none\"";  ;  echo '>

    <thead>

			<tr>
			
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Popup Dimensions</span></th>

				<td style="vertical-align:middle;padding-left:50px;"><span><strong>Width</strong> <input class="tjckr_numeric" type="text" id="p_width" name="p_width[]" value="';  ;  echo $popups[0]->width  ;  echo '" size="10"/>px</span><span style="padding-left:20px;"><strong>Height</strong> <input class="tjckr_numeric" type="text" id="p_height" name="p_height[]" value="';  ;  echo $popups[0]->height;  ;  echo '" size="10"/>px</span></td>
			</tr>
			
			<tr>
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Popup Timing</span></th>
				<td style="vertical-align:middle;padding-left:50px;">';  ;   echo $this->tjckr_delay_dropdown($popups[0]->delay);  ;  echo '&nbsp;<span class="tjckr_helptip" id="popupdelay"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>
				</td>
			</tr>
			<tr>
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Enable/Disable</span></th>
				<td style="vertical-align:middle;padding-left:50px;">&nbsp;&nbsp;
					<input type="checkbox" name="p_enable[]" id="p_enable"';  ;   if ($popups[0]->p_enable=='1') echo "checked";  ;  echo '> <span><strong>Temporarily Disable &nbsp;&nbsp;&nbsp;</span></strong>
					<span id="popup_grey"><strong>Delay:&nbsp;<input type="text" name="p_disable_value[]" id="p_disable_value"  value="';  ;   echo $popups[0]->p_disable_value  ;  echo '">
					<select name="p_disable_unit[]" id="p_disable_unit">
					<option value="hour"';  ;   if ($popups[0]->p_disable_unit=='hour') echo "selected";  ;  echo '>Hours</option>
					<option value="day"';  ;   if ($popups[0]->p_disable_unit=='day') echo "selected";  ;  echo '>Days</option>
					</select></span>
					&nbsp;<span class="tjckr_helptip" id="popupdisable"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>
					</strong>
				</td>
			</tr>
	
</table>
<br><br>';  ;   if(get_option("blogger") == 'yes'){  ;  echo '<table>

	<tr>
		<td><i><span style="background-color:#cc0000;color:#FFF;padding:4px;"><strong></strong></span><strong>Blogger Edition Settings</strong></i></td>
	</tr>
	<tr><td>&nbsp;</td></tr>
</table>
<br><br>
				<table id="step_5" class="widefat post fixed" cellspacing="0">
				 <thead>
				<tr id="swap_popups">
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;"><span style="padding-left:5px;">Show popups on this site over</span></th>

				<td style="vertical-align:middle;padding-left:50px;"><strong></strong>
				<select name="pop_options" id="pop_options">
				<option value="no"';  ;   if($popups[0]->pop_options=='no') echo "selected";  ;  echo '>No popups</option>
				<option value="full"';  ;   if($popups[0]->pop_options=='full') echo "selected";  ;  echo '>Full Site</option>
				<option value="post"';  ;   if($popups[0]->pop_options=='post') echo "selected";  ;  echo '>Posts</option>
				<option value="page"';  ;   if($popups[0]->pop_options=='page') echo "selected";  ;  echo '>Pages</option>
				<option value="category"';  ;   if($popups[0]->pop_options=='category') echo "selected";  ;  echo '>Specific Categories</option>
				<option value="specific"';  ;   if($popups[0]->pop_options=='specific') echo "selected";  ;  echo '>Very specific Post/Page</option>
				</select><span class="tjckr_helptip" id="popover"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>
				</td>
				
			</tr>
			<tr id="p_specific_c" style="display:none">
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;"><span style="padding-left:5px;"></span></td>

				</th>
				
			<td>
			<table><tr><td><b>Categories</b><br>';  ;   
				$s_cats = explode(',',$popups[0]->t_cat_id);
				$s_posts= explode(',',$popups[0]->t_post_id);
				$s_pages = explode(',',$popups[0]->t_page_id);
				$p_s_cats = explode(',',$popups[0]->p_cat_id);
				$p_s_posts= explode(',',$popups[0]->p_post_id);
				$p_s_pages = explode(',',$popups[0]->p_page_id);
				$pin_s_cats = explode(',',$popups[0]->pin_cat_id);
				$pin_s_posts= explode(',',$popups[0]->pin_post_id);
				$pin_s_pages = explode(',',$popups[0]->pin_page_id);
				$all_categories = get_categories();
	foreach($all_categories as $key => $cat) {
	if(in_array($cat->term_id,$p_s_cats))
	$selected = "checked";
	else
	$selected = "";
		echo "<input type='checkbox' name='p_cat_id[]' value='$cat->term_id' $selected>$cat->cat_name<br>";
	}

	  ;  echo '</td></tr></table></td>
				
			</tr>
			<tr id="p_specific_p" style="display:none">
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;"></span></td>

				</td>
				
			<td>
			<table><tr><td><b>Posts</b><br>';  ;   
	$all_posts = query_posts(array('posts_per_page' => '-1',"post_status"=>"publish")) ;
	foreach($all_posts as $key => $post) {
		if(in_array($post->ID,$p_s_posts))
	$selected = "checked";
	else
	$selected = "";
		echo "<input type='checkbox' name='p_post_id[]' value='$post->ID' $selected>$post->post_title<br>";
	}
	echo "</td><td><b>Pages</b><br>";
	$all_pages = get_pages(array()) ;
	foreach($all_pages as $key => $page) {
		if(in_array($page->ID,$p_s_pages))
	$selected = "checked";
	else
	$selected = "";
		echo "<input type='checkbox' name='p_page_id[]' value='$page->ID'$selected>$page->post_title<br>";
	}
	  ;  echo '</td></tr></table></td>
				
			</tr>
		<tr id="swap_popins">
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Where do we swap keywords w/tj popups?</span></td>

				<td style="vertical-align:middle;padding-left:50px;"><strong></strong>
				<select name="popin_options" id="popin_options">
				<option value="no"';  ;   if($popups[0]->popin_options=='no') echo "selected";  ;  echo '>No popup Swaps</option>
				<option value="full"';  ;   if($popups[0]->popin_options=='full') echo "selected";  ;  echo '>Full Site</option>
				<option value="post"';  ;   if($popups[0]->popin_options=='post') echo "selected";  ;  echo '>Posts</option>
				<option value="page"';  ;   if($popups[0]->popin_options=='page') echo "selected";  ;  echo '>Pages</option>
				<option value="category"';  ;   if($popups[0]->popin_options=='category') echo "selected";  ;  echo '>Specific Categories</option>
				<option value="specific"';  ;   if($popups[0]->popin_options=='specific') echo "selected";  ;  echo '>Very specific Post/Page</option>
				</select> <span class="tjckr_helptip" id="linkswap"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>
				</td>
				
			</tr>
			
			<tr id="pin_specific_c" style="display:none">
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;"></span></td>

				</td>
				
			<td>
			<table><tr><td><b>Categories</b><br>';  ;   
				$all_categories = get_categories();
	foreach($all_categories as $key => $cat) {
	if(in_array($cat->term_id,$pin_s_cats))
	$selected = "checked";
	else
	$selected = "";
		echo "<input type='checkbox' name='pin_cat_id[]' value='$cat->term_id' $selected>$cat->cat_name<br>";
	}

	  ;  echo '</td></tr></table></td>
				
			</tr>
			<tr id="pin_specific_p" style="display:none">
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;"></span></td>

				</td>
				
			<td>
			<table><tr><td><b>Posts</b><br>';  ;   
	$all_posts = query_posts(array('posts_per_page' => '-1',"post_status"=>"publish")) ;
	foreach($all_posts as $key => $post) {
	if(in_array($post->ID,$pin_s_posts))
	$selected = "checked";
	else
	$selected = "";
		echo "<input type='checkbox' name='pin_post_id[]' value='$post->ID' $selected>$post->post_title<br>";
	}
	echo "</td><td><b>Pages</b><br>";
	$all_pages = get_pages(array()) ;
	foreach($all_pages as $key => $page) {
		if(in_array($page->ID,$pin_s_pages))
		$selected = "checked";
		else
		$selected = "";
		echo "<input type='checkbox' name='pin_page_id[]' value='$page->ID' $selected>$page->post_title<br>";
	}
	
	  ;  echo '</td></tr></table></td>
				
			</tr>
			
			<tr id="swap_links">
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Where do we swap keywords w/tj links?</span></td>

				<td style="vertical-align:middle;padding-left:50px;"><strong></strong>
				<select name="key_options" id="key_options">
				<option value="no"';  ;   if($popups[0]->key_options=='no') echo "selected";  ;  echo '>No link Swaps</option>
				<option value="full"';  ;   if($popups[0]->key_options=='full') echo "selected";  ;  echo '>Full Site</option>
				<option value="post"';  ;   if($popups[0]->key_options=='post') echo "selected";  ;  echo '>Posts</option>
				<option value="page"';  ;   if($popups[0]->key_options=='page') echo "selected";  ;  echo '>Pages</option>
				<option value="category"';  ;   if($popups[0]->key_options=='category') echo "selected";  ;  echo '>Specific Categories</option>
				<option value="specific"';  ;   if($popups[0]->key_options=='specific') echo "selected";  ;  echo '>Very specific Post/Page</option>
				</select> <span class="tjckr_helptip" id="linkswap"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>
				</td>
				
			</tr>
			
			<tr id="t_specific_c" style="display:none">
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;"></span></td>

				</td>
				
			<td>
			<table><tr><td><b>Categories</b><br>';  ;   
				$s_cats = explode(',',$popups[0]->t_cat_id);
				$s_posts= explode(',',$popups[0]->t_post_id);
				$s_pages = explode(',',$popups[0]->t_page_id);
				$p_s_cats = explode(',',$popups[0]->p_cat_id);
				$p_s_posts= explode(',',$popups[0]->p_post_id);
				$p_s_pages = explode(',',$popups[0]->p_page_id);
				$all_categories = get_categories();
	foreach($all_categories as $key => $cat) {
	if(in_array($cat->term_id,$s_cats))
	$selected = "checked";
	else
	$selected = "";
		echo "<input type='checkbox' name='t_cat_id[]' value='$cat->term_id' $selected>$cat->cat_name<br>";
	}

	  ;  echo '</td></tr></table></td>
				
			</tr>
			<tr id="t_specific_p" style="display:none">
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;"></span></td>

				</td>
				
			<td>
			<table><tr><td><b>Posts</b><br>';  ;   
	$all_posts = query_posts(array('posts_per_page' => '-1',"post_status"=>"publish")) ;
	foreach($all_posts as $key => $post) {
	if(in_array($post->ID,$s_posts))
	$selected = "checked";
	else
	$selected = "";
		echo "<input type='checkbox' name='t_post_id[]' value='$post->ID' $selected>$post->post_title<br>";
	}
	echo "</td><td><b>Pages</b><br>";
	$all_pages = get_pages(array()) ;
	foreach($all_pages as $key => $page) {
		if(in_array($page->ID,$s_pages))
		$selected = "checked";
		else
		$selected = "";
		echo "<input type='checkbox' name='t_page_id[]' value='$page->ID' $selected>$page->post_title<br>";
	}
	if((!isset($popups[0]->key_options) || $popups[0]->key_options=='no')  && (!isset($popups[0]->pop_options) || $popups[0]->pop_options =='no') & (!isset($popups[0]->popin_options) || $popups[0]->popin_options =='no'))
	$new_display = "style=display:none";
	else 
	$new_display = "";
	  ;  echo '</td></tr></table></td>
				
			</tr>
			<tr id="key_row"';  ;   echo $new_display;  ;  echo '>
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Keywords</span></td>

				<td style="vertical-align:middle;padding-left:50px;"><strong></strong><input type="text" name="keywords" id="keywords" value="';  ;   echo $popups[0]->keywords;  ;  echo '" size="50"/><span class="tjckr_helptip" id="keyhelp"><img style="vertical-align:middle; cursor:pointer;"" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/tip.png"></span>
			</td>
			</tr>
			
			<tr id="count_row"';  ;   echo $new_display;  ;  echo '>
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Max # of links to change per post</span></td>

				<td style="vertical-align:middle;padding-left:50px;"><strong></strong>
				<select name="key_count" id="key_count">
				<option value="2"';  ;   if($popups[0]->key_count=='2') echo "selected";  ;  echo '>2</option>
				<option value="4"';  ;   if($popups[0]->key_count=='4') echo "selected";  ;  echo '>4</option>
				<option value="8"';  ;   if($popups[0]->key_count=='8') echo "selected";  ;  echo '>8</option>
				<option value="10"';  ;   if($popups[0]->key_count=='10') echo "selected";  ;  echo '>10</option>
				<option value="20"';  ;   if($popups[0]->key_count=='20') echo "selected";  ;  echo '>20</option>
				<option value="all"';  ;   if($popups[0]->key_count=='all') echo "selected";  ;  echo '>All</option>
				</select>
				</td>
				
			</tr>
			</table>
			
			
			
			
			<br><br>';  ;   }   ;  echo '<table>

	<tr>
		<td><i><span style="background-color:#cc0000;color:#FFF;padding:4px;"><strong>STEP 4:</strong></span> &nbsp;&nbsp;Preview</i></td>
	</tr>
	<tr><td>&nbsp;</td></tr>
</table>
		
		



<table class="widefat post fixed" cellspacing="0">

    <thead>

			<tr>
			
			<th class="manage-column" width="20%" height="60"><span style="padding-left:5px;">Preview Your Popup</span></th>

				<td style="vertical-align:middle;padding-left:50px;"><a id="popup_preview" href="" class="tjckr_p_preview"><img src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/preview2.png" style="vertical-align:middle!important" /></a></td>
			</tr>
			
</table>
		<p><input type="image" src="';  ;   echo TRUSTJACKER_URL;  ;  echo '/img/save.png" name="Submit" value="Save" style="vertical-align:middle!important" />&nbsp;or&nbsp;<a href="?page=TRUSTJACKER-manage">Cancel</a></p>

</form>
<div id="confirm_modal" style="display:none">
<p id="confirm_text">';  ;   echo $m_message["confirm_modal"];  ;  echo '</p>
<p align="center"><button id="yes" class="button-secondary">Yes</button>&nbsp&nbsp<button id="no" class="button-secondary">No</button></p>
</div>
<div id="title_modal" style="display:none">
<p id="title_text">';  ;   echo $m_message["title_modal"];  ;  echo '</p>
<p align="center"><input type="text" id="alt_title" name="alt_titile"></p>
<p align="center"><button id="title_yes" class="button-secondary">Ok</button>&nbsp&nbsp<button id="title_no" class="button-secondary">Cancel</button></p>
</div>';  ;  
		$html = ob_get_contents();
		ob_clean();
		return $html;
		}catch(Exception $e){
		
		}
	
	}
	/*end function tjckr_get form */

	/* start funcction get_form js
	//return js needed for both add and edit
	*/
	function tjckr_get_form_js($action, $link_id=''){
	try{
		ob_start();
		$tooltip = implode('',@file(TRUSTJACKER_PATH."/tooltips.json"));
		$tip = json_decode($tooltip,true);
		$modal_message = implode('',@file(TRUSTJACKER_PATH."/message.json"));
		$m_message = json_decode($modal_message,true);
		  ;  echo '<script type=\'text/javascript\'>
		var jq = jQuery.noConflict();
			jq(document).ready(function($) {
			try{
			CKEDITOR.replace("content");
			}catch(err){
			
			}
			jq.ajax({
				type: "GET",
				data: "action=getad&type=page&site=';  ;   echo CONTROL_SITE_URL;  ;  echo '",
				url: "';  ;   echo site_url()   ;  echo '/wp-admin/admin-ajax.php",
				success: function(msg) {

					 
							
					jq("#promotion").append(msg);
				
		
				}
			});
			jq(\'#error\').hide();
			jq(\'#success\').hide();
			jq("#add").submit(function() {
			try{
			tinyMCE.triggerSave();
			}catch(err){
			}
			try{
			CKEDITOR.instances.content.updateElement();
			}catch(err){
			}
			//var editor = tinyMCE.get(\'p_link[]\'); editor.save();
			jq(\'#node\').html(\'\');
			var str = jq(this).serialize();
			jq.ajax({
				type: "POST",
				url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
				data: \'action=';  ;   echo $action;  ;  echo '&\'+str,
				success: function(msg) {
					
					jq(\'#error\').html(\'\');
					jq(\'#success\').html(\'\');
					result = jq.parseJSON(jq.trim(msg));
					if(result.iserror==1) {
						jq(".contact #node").hide();
						jq(".contact #error").fadeIn("slow");
						jq(".contact #error").html("<h2> Following Errors Occurred</h2><ul>");
						jq.each(result.error, function(index, value) { 
							jq(".contact #error").append("<li>"+value+"</li>"); 
						});
						jq(".contact #error").append("</ul>");
						jq(".contact #success").hide();
						jq(".contact #error").fadeIn("slow");
						
					}
					else {
						   msg = result.success;
						   jq(".contact #success").append(msg);
						   jq(".contact #error").hide();
						   jq(".tjckr_p_preview").show();
						   jq(".tjckr_t_preview").show();
						   jq(".contact #success").fadeIn("slow");
						   setInterval(function(){jq(".contact #success").hide("slow");},30000);
							window.location = "?page=TRUSTJACKER-manage";
						   
					
		  

					}
					
				}
			});
			return false;
			});
			  var counter = 1;
			jq(\'#add_target\').click(function(event){
				event.preventDefault();
				counter++;
				var newRow = jq(\'<tr><td>Link:<textarea id="link1" class="tjckr_urls" name="t_link[]"></textarea></td>';  ;   if(get_option("method_selection")=="Yes"){  ;  echo '<td>Method: <select class="tjckr_method" id="method1" name="t_method[]"><option value="iframe">Iframe</option><option value="direct">Proxy</option><option value="curl">Curl</option></select></td>';  ;   } else{   ;  echo '<td>Method:<input type="text" id="method1" value="iframe" name="t_method[]" readonly></td>';  ;   }   ;  echo '<td class="title">Title:<input type="text" name="t_title[]"></td><td>weight:<input type="text" name="t_weight[]"></td><td><a id="target_preview" style="display:none" href="';  ;   echo site_url();  ;  echo '/preview" class="button-secondary action tjckr_t_preview">Preview</a></td><td><a class="button-secondary action tjckr_remove_target">Remove</a></td></tr><!--<tr><td>Facebook Title<input type="text" name="t_f_title[]"></td><td>Description <textarea name="t_description[]"></textarea></td><td class="title">Image: (Enter Url or Upload)<input id="upload_image" type="text" name="t_image[]"><input id="upload_image_button" type="button" value="Upload Image" /></td></tr>-->\');
				jq(\'#targets\').append(newRow);
			});
			 jq(\'#add_popup\').click(function(event){
				event.preventDefault();
				counter++;
				var newRow = jq(\'<tr><td>Link or Html:<textarea name="p_link[]"></textarea></td></td><td>Show Popup:';  ;   echo $this->tjckr_delay_dropdown();  ;  echo '</td><td>Width:<input class="tjckr_numeric" type="text" name="p_width[]" size="4"></td><td>Height:<input class="tjckr_numeric" type="text" name="p_height[]" size="4"></td><td>Load via Ajax:<input type="checkbox" name="p_iframe" value="1"></td><td><a id="popup_preview" style="display:none" href="';  ;   echo site_url();  ;  echo '/preview?id=';  ;   echo $link_id;   ;  echo '" class="button-secondary action tjckr_p_preview">Preview</a></td></td><td><a class="button-secondary action tjckr_remove_popup">Remove</a></td></tr>\');
				jq(\'#popups\').append(newRow);
			});
			 jq(\'.tjckr_remove_target\').live(\'click\',function(event){
				jq(this).parent().parent().next().remove();
				jq(this).parent().parent().remove();
			});
			 jq(\'.tjckr_remove_popup\').live(\'click\',function(event){
				
				jq(this).parent().parent().remove();
			
			});
			jq(\'#p_link1\').live("blur",function(event){
			var val = jq(this).val();
			if (val.substring(0, 7) != "http://" && val.substring(0, 8) != "https://")
				$("#confirm_modal").modal(
						{containerCss: { width: 500, height: 100, padding:20 }}
						);
			});
			jq("#yes").live("click",function(){
			
					jq("#pop_link").hide();
					$("#popup_use_editor").attr("checked",false);
					jq("#popup_use_editor2").attr("checked",true);
					
					try{
					tinyMCE.activeEditor.setContent(jq(\'#p_link1\').val());
					tinyMCE.execCommand(\'mceRemoveControl\', false, \'content\');
					jq("#wp-content-wrap").removeClass(\'tmce-active\');
					jq("#wp-content-wrap").addClass(\'html-active\');
					
					}catch(err){
					}
					try{
					CKEDITOR.instances.content.setData(jq(\'#p_link1\').val());
					}catch(err){
					}
					try{
					jq("#content").val(jq(\'#p_link1\').val());
					}catch(err){
					}
					jq("#pop_html").show();
					$.modal.close();
			});
			jq("#no").live("click",function(){
			
					jq("#popup_use_editor").focus();
					$.modal.close();
				
			});
			jq("#title_no").live("click",function(){
					$.modal.close();
				
			});
			jq("#title_yes").live("click",function(){
			
					jq("#title").val(jq("#alt_title").val());
					$.modal.close();
				
			});
			 jq(".tjckr_link").live("blur",function(event) {
			 jq(this).val(jq(this).val().toLowerCase().split(" ").join("-"));
			  var str = "url="+jq(this).val();
				jq.ajax({
				type: "POST",
				url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
				data: \'action=link&\'+str + "&id="+"';  ;   echo $link_id;   ;  echo '",
				success: function(msg) {
					
						jq(\'#error\').html(\'\');
						jq(\'#success\').html(\'\');
						result = jq.parseJSON(jq.trim(msg));
						if(result.iserror==1) {
							jq(".contact #node").hide();
							jq(".contact #error").fadeIn("slow");
							jq(".contact #error").html("Url already exists");
							jq(".contact #success").hide();
							jq(".contact #error").fadeIn("slow");
							
						}
						else{
							jq(".contact #error").hide();
						}
					
					}
				});
			 
			 });
			 jq(".tjckr_numeric").live("keydown",function(event) {

				// Allow: backspace, delete, tab, escape, and enter
				if ( event.keyCode == 46 || event.keyCode == 8 || event.keyCode == 9 || event.keyCode == 27 || event.keyCode == 13 || 
					 // Allow: Ctrl+A
					(event.keyCode == 65 && event.ctrlKey === true) || 
					 // Allow: home, end, left, right
					(event.keyCode >= 35 && event.keyCode <= 39)) {
						 // let it happen, don\'t do anything
						 return;
				}
				else {
					// Ensure that it is a number and stop the keypress
					if (event.shiftKey || (event.keyCode < 48 || event.keyCode > 57) && (event.keyCode < 96 || event.keyCode > 105 )) {
						event.preventDefault(); 
					}   
				}
				 if(jq(this).val().length>3)
					event.preventDefault(); 
			});
			var excluded = new Array();
				excluded = ["news.co", "rollingstone.com","facebook.com", "pinterest.com", "twitter.com","youtube.com","google.com","maps.google.com"];
			
			jq(".tjckr_urls").live("blur",function(event){
			
				var found;
				for (var i = 0; i < excluded.length; i++) {
				if(jq(this).val().search(excluded[i])>=0){
						jq(this).css("border","2px red solid");
						found = true;
						break;}
				}
				if(found){
					//jq(this).parent().next().find(\'option:[value=direct]\').attr(\'selected\', \'selected\');
					alert("';  ;   echo $m_message["framebuster_alert"];  ;  echo '");
					jq(this).css("border","2px red solid");
					return false;
				}
				else{
					jq(this).css("border","");
				}
				/*
				if(jq(this).val().search("http://news.google.com")>=0 || jq(this).val().search("https://news.google.com")>=0){

					jq(this).parent().next().find(\'option:[value=curl]\').attr(\'selected\', \'selected\');
				}
				*/
				if(jq(this).val()!=\'http://\'){
					jq.ajax({
						type: "POST",
						url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
						data: \'action=get_title&url=\'+jq(this).val(),
						success: function(msg) {
							result = jq.parseJSON(jq.trim(msg));
						 jq("#title").val(result.title);
						 jq("#icon").val(result.link);
						 jq("#image").val(result.image);
						 if(result.t_exists=="0"){
								$("#title_modal").modal(
						{containerCss: { width: 500, height: 100, padding:20 }}
						);
						 }
						 if(isIframeBlocked(result.iframe)){
							jq(this).css("border","2px red solid");
						}
						else
							jq(this).css("border","");
						}
					});
				}
				
			});
			function isIframeBlocked(snoopyPageHTML){
			var nowhitespace = snoopyPageHTML.split(\' \').join(\'\');
				 nowhitespace = nowhitespace.split(\'\r\').join(\'\');
				 nowhitespace = nowhitespace.split(\'\t\').join(\'\');
				 nowhitespace = nowhitespace.split(\'\n\').join(\'\');

				if(nowhitespace.indexOf("self.parent===self")){
				return true;
				}else if(nowhitespace.indexOf("self.parent==self")){
				return true
				}else{
				return false;}
			}
			jq(".tjckr_urls").live("focus",function(event){
				var defaultText = jq(this).val();
				//if(defaultText === "http://"){
				jq(this).select();
				//}
			});
		
				jq(".tjckr_urls").live("keydown",function(event){
				var found=false;
				for (var i = 0; i < excluded.length; i++) {
				if(jq(this).val().search(excluded[i])>=0){
						found = true;
						break;}
				}
				if(found){
					
					jq(this).css("border","2px red solid");
				}
				else{
					jq(this).css("border","");
				}
			});
			jq(".tjckr_popurls").live("focus",function(event){
				var defaultText = jq(this).val();
				//if(defaultText === "http://"){
				jq(this).select();
				//}
			});';  ;   if(get_option(TRUSTJACKER_activation) == 'BASIC'){   ;  echo 'jq(\'.tjckr_t_preview\').live(\'click\',function(event){
				var title = jq(this).parent().prev().children().val();
				var method = jq(this).parent().prev().prev().children().val();
				var link = jq(this).parent().prev().prev().prev().children().val();
				jq(this).attr("href",jq(this).attr("href")+"&link="+link+"&method="+method+"&title="+title);
				window.open(jq(this).attr("href"));
				return false;
			});';  ;   }   ;  echo '';  ;   if(get_option(TRUSTJACKER_activation) == 'VIP'){   ;  echo 'jq(\'.tjckr_t_preview\').live(\'click\',function(event){
					var title = jq(this).parent().prev().prev().children().val();
					var method = jq(this).parent().prev().prev().prev().children().val();
					var link = jq(this).parent().prev().prev().prev().prev().children().val();
					jq(this).attr("href",jq(this).attr("href")+"&link="+link+"&method="+method+"&title="+title);
					window.open(jq(this).attr("href"));
					return false;
			});';  ;   }   ;  echo 'jq(\'#popup_preview\').live(\'click\',function(event){
			/*
					var h = jq("#p_height").val();
					var w = jq("#p_width").val();
					var delay = jq("#p_delay").val();
					if(jq("#popup_use_editor1").is(\':checked\')){
					var popup = encodeURIComponent(jq("#p_link1").val());	
					popup = popup.replace("http%3A%2F%2F","tjckr_link");
					popup = popup.replace("https%3A%2F%2F","tjckr_links");
					var popup_use_editor = 0;
					}
					else if(jq("#popup_use_editor2").is(\':checked\')){
					try{
					tinyMCE.triggerSave();
					}catch(err){
					}
					try{
					CKEDITOR.instances.content.updateElement();
					}catch(err){
					}
					var popup = encodeURIComponent(jq("#content").val());
					popup = popup.replace("https%3A%2F%2F","tjckr_links");
					popup = popup.replace("http%3A%2F%2F","tjckr_link");
					popup = escape(popup);
					var popup_use_editor = 1;
					}
					if(jq("#p_redirect").is(\':checked\')){
					var exit = jq("#p_exittext").val();
					exit = exit.replace(/\n\r?/g, \'<br />\');
					var redirect = jq("#p_redirect").val();	
					}else{
					var redirect = \'0\';
					var exit = \'0\';
					}
					var link = encodeURIComponent(jq("#t_link").val());
					link = link.replace("https%3A%2F%2F","tjckr_links");
					link = link.replace("http%3A%2F%2F","tjckr_link");
					var icon = encodeURIComponent(jq("#icon").val());
					icon = icon.replace("https%3A%2F%2F","tjckr_links");
					icon = icon.replace("http%3A%2F%2F","tjckr_link");
					*/
					try{
			tinyMCE.triggerSave();
			}catch(err){
			}
			try{
			CKEDITOR.instances.content.updateElement();
			}catch(err){
			}
			//var editor = tinyMCE.get(\'p_link[]\'); editor.save();
			jq(\'#node\').html(\'\');
			var str = jq(\'#add\').serialize();
			jq.ajax({
				type: "POST",
				url: "';  ;   echo site_url();   ;  echo '/wp-admin/admin-ajax.php",
				data: \'action=adddata&\'+str,
				success: function(msg) {
					var randomnumber=Math.floor(Math.random()*1000001)
					window.open("';  ;   echo site_url();  ;  echo '/tjckr_preview?rand="+randomnumber);
				}
			});
					//window.open("';  ;   echo site_url();  ;  echo '/tjckr_preview?id=';  ;   echo $link_data->id;   ;  echo '"+"&h="+h+"&w="+w+"&delay="+delay+"&redirect="+redirect+"&exittext="+exit+"&pop="+popup+"&link="+link+"&popup_use_editor="+popup_use_editor+"&method=iframe&title="+jq("#title").val()+"&icon="+icon);
					return false;
			})
			jq(".tjckr_method").live("change",function(){
				if(jq(this).val() == "iframe"){
					jq(this).parent().next().show();
				}else{
					jq(this).parent().next().hide();
				}
			});
			if(jq("#key_options").val() == "specific"){
				jq("#t_specific_p").show();
			}else if(jq("#key_options").val() == "category"){
				jq("#t_specific_c").show();
			}
			if(jq("#pop_options").val() == "specific"){
				jq("#p_specific_p").show();
			}else if(jq("#pop_options").val() == "category"){
				jq("#p_specific_c").show();
			}
			if(jq("#popin_options").val() == "specific"){
				jq("#pin_specific_p").show();
			}else if(jq("#popin_options").val() == "category"){
				jq("#pin_specific_c").show();
			}
			jq("#key_options").live("change",function(){
				if(jq(this).val() == "specific"){
					jq("#t_specific_p").show();
					jq("#t_specific_c").hide();
					jq("#key_row").show();
					jq("#count_row").show();
				}else if(jq(this).val() == "category"){
					jq("#t_specific_c").show();
					jq("#t_specific_p").hide();
					jq("#key_row").show();
					jq("#count_row").show();
				}
				else if(jq(this).val() == "no"){
					jq("#key_row").hide();
					jq("#count_row").hide();
					jq("#t_specific_c").hide();
					jq("#t_specific_p").hide();
				}
				else{
					jq("#t_specific_c").hide();
					jq("#t_specific_p").hide();
					jq("#key_row").show();
					jq("#count_row").show();
				}
			});
			jq("#pop_options").live("change",function(){
				if(jq(this).val() == "specific"){
					jq("#p_specific_p").show();
					jq("#p_specific_c").hide();
					jq("#key_row").show();
					jq("#count_row").show();
				}else if(jq(this).val() == "category"){
					jq("#p_specific_c").show();
					jq("#p_specific_p").hide();
					jq("#key_row").show();
					jq("#count_row").show();
				}
				else if(jq(this).val() == "no" && jq("#popin_options").val() == "no"){
					jq("#key_row").hide();
					jq("#count_row").hide();
					jq("#p_specific_c").hide();
					jq("#p_specific_p").hide();
				}
				else{
					jq("#p_specific_c").hide();
					jq("#p_specific_p").hide();
					jq("#key_row").show();
					jq("#count_row").show();
				}
			});
			jq("#popin_options").live("change",function(){
				if(jq(this).val() == "specific"){
					jq("#pin_specific_p").show();
					jq("#pin_specific_c").hide();
					jq("#key_row").show();
					jq("#count_row").show();
				}else if(jq(this).val() == "category"){
					jq("#pin_specific_c").show();
					jq("#pin_specific_p").hide();
					jq("#key_row").show();
					jq("#count_row").show();
				}
				else if(jq(this).val() == "no" && jq("#pop_options").val() == "no"){
					jq("#key_row").hide();
					jq("#count_row").hide();
					jq("#pin_specific_c").hide();
					jq("#pin_specific_p").hide();
				}
				else{
					jq("#pin_specific_c").hide();
					jq("#pin_specific_p").hide();
					jq("#key_row").show();
					jq("#count_row").show();
				}
			});
			jq(".tjckr_popup").live("change",function(){
				if(jq(this).val() == "1"){
					jq("#pop_link").hide();
					jq("#pop_html").show();
					jq("#p_redirect").attr("checked",false);
					jq("#exit").hide();
					jq("#pop_head").show();
					jq("#pop_setting").show();
					jq("#br1").show();
					jq("#br2").show();
				}else{
					jq("#pop_html").hide();
					jq("#pop_link").show();
				}
			});
			if(jq("#enable_site").is(\':checked\')){
				jq("#swap_popups").show();
				jq("#swap_popins").show();
				jq("#swap_links").hide();
				jq("#t_specific_c").hide();
				jq("#t_specific_p").hide();
				jq("#t_link").css("background-color","#DCDAD1");
				jq("#t_link").val("';  ;   echo site_url();  ;  echo '");
				jq("#t_link").attr("readonly",true);
				
			}else{
			
				jq("#swap_popups").hide();
				jq("#swap_popins").hide();
				jq("#swap_links").show();
				jq("#p_specific_c").hide();
				jq("#p_specific_p").hide();
				jq("#pin_specific_c").hide();
				jq("#pin_specific_p").hide();
				jq("#t_link").css("background-color","#FFFFFF");
				jq("#t_link").attr("readonly",false);
			}
			jq("#enable_site").live("change",function(){
			if(jq(this).is(\':checked\')){
			if(jq("#pop_options").val() == \'no\'){
				jq("#key_row").hide();
				jq("#count_row").hide();
				}else{
				 if(jq("#pop_options").val() == \'specific\'){
					jq("#p_specific_p").show();
				}
				else if(jq("#pop_options").val() == \'category\'){
					jq("#p_specific_c").show();
					
				}
				jq("#key_row").show();
				jq("#count_row").show();
				}
				if(jq("#popin_options").val() == \'no\'){
				jq("#key_row").hide();
				jq("#count_row").hide();
				}else{
				 if(jq("#popin_options").val() == \'specific\'){
					jq("#pin_specific_p").show();
				}
				else if(jq("#popin_options").val() == \'category\'){
					jq("#pin_specific_c").show();
					
				}
				jq("#key_row").show();
				jq("#count_row").show();
				}
				jq("#swap_popups").show();
				jq("#swap_popins").show();
				jq("#swap_links").hide();
				jq("#t_specific_c").hide();
				jq("#t_specific_p").hide();
				jq("#t_link").css("background-color","#DCDAD1");
				jq("#t_link").val("';  ;   echo site_url();  ;  echo '");
				jq("#t_link").attr("readonly",true);
				
			}else{
				if(jq("#key_options").val() == \'no\'){
				jq("#key_row").hide();
				jq("#count_row").hide();
				}else{
				 if(jq("#key_options").val() == \'specific\'){
					jq("#t_specific_p").show();
				}
				else if(jq("#key_options").val() == \'category\'){
					jq("#t_specific_c").show();
					
				}
				jq("#key_row").show();
				jq("#count_row").show();
				}
				jq("#t_link").val(\'\');
				jq("#swap_popups").hide();
				jq("#swap_popins").hide();
				jq("#pin_specific_c").hide();
				jq("#pin_specific_p").hide();
				jq("#p_specific_c").hide();
				jq("#swap_links").show();
				jq("#p_specific_p").hide();
				jq("#t_link").css("background-color","#FFFFFF");
				jq("#t_link").attr("readonly",false);
			}
				return false;
			});
			jq("#p_enable").live("change",function(){
			if(jq(this).is(\':checked\')){
				jq("#popup_grey").css("opacity","1");
				jq("#popup_grey").css("filter","alpha(opacity=100)");
				jq("#p_disable_unit").attr("disabled",false);
				jq("#p_disable_value").attr("disabled",false);
				
			}else{
				jq("#popup_grey").css("opacity","0.4");
				jq("#popup_grey").css("filter","alpha(opacity=40)");
				jq("#p_disable_unit").attr("disabled",true);
				jq("#p_disable_value").attr("disabled",true);
			}
				return false;
			});
			if(jq("#p_enable").is(\':checked\')){
				jq("#popup_grey").css("opacity","1");
				jq("#popup_grey").css("filter","alpha(opacity=100)");
				jq("#p_disable_unit").attr("disabled",false);
				jq("#p_disable_value").attr("disabled",false);
			}else{
				jq("#popup_grey").css("opacity","0.4");
				jq("#popup_grey").css("filter","alpha(opacity=40)");
				jq("#p_disable_unit").attr("disabled",true);
				jq("#p_disable_value").attr("disabled",true);
			}
			
			jq("#p_redirect").live("click",function(){
			if(jq("#p_redirect").is(\':checked\')){
				jq("#exit").show();
				if(jq("#p_exittext").val()==\'\')
					jq("#p_exittext").val(jq("#alert_drop").val());
				jq("#pop_head").hide();
				jq("#pop_setting").hide();
				jq("#br1").hide();
				jq("#br2").hide();
			}
			else{
				jq("#exit").hide();
				jq("#pop_head").show();
				jq("#pop_setting").show();
				jq("#br1").show();
				jq("#br2").show();
			}
			});
			
			jq("#alert_drop").live("click",function(){
			if(jq("#p_exittext").val() == jq("#alert_drop").val())
			return false;
				if(jq("#p_exittext").val()!=\'\'){
					check  = confirm("The field is not blank, replace?");
					if(check)
						jq("#p_exittext").val(jq("#alert_drop").val());
					else
					return false;
				}
				jq("#p_exittext").val(jq("#alert_drop").val());
				return false;
			});
			javascriptArray = new Array();';  ;   
			if(isset($tip)){
			foreach ( $tip as $key=>$element ) 
			{ 
				print "javascriptArray['$key'] =  '$element' ;"; 
			} 
			}

			  ;  echo 'jq(".tjckr_helptip").each(function() {
				$(this).qtip({
					content: {
						text: javascriptArray[$(this).attr("id")], 
						title: {
							text: false,//$($(this).attr("id")).attr(\'title\'),
							button: false
						}
					},
					position: {
						my: \'left bottom\', // Use the corner...
						at: \'right bottom\' // ...and opposite corner
					},
					show: {
						solo: true,
						//event: \'hover\', // Don\'t specify a show event...
						ready: false // ... but show the tooltip when ready
					},
					hide: "mouseout", // Don\'t specify a hide event either!
					style: {
						tip:false,
						classes: \'ui-tooltip-shadow ui-tooltip-bootstrap\'
					}
				});
			});
		
		});
		</script>';  ;   $js = ob_get_contents();
		ob_clean();
		return $js;
		}catch(Exception $e){
		
		}
	}	 
	  	  function tjckr_update_plugin(){
	  try{
	if(get_option('TRUSTJACKER_activation_server') == 'OAP')
		$updated_version = trim(file_get_contents("http://www.trustjacker.com/downloads/oap/versionOAP.txt"));
	else
		$updated_version = trim(file_get_contents("http://www.trustjacker.com/downloads/version.txt"));
	if(get_option('TRUSTJACKER_activation_server') == 'OAP')
	$content = file_get_contents("http://trustjacker.com/downloads/oap/trustjacker_".$updated_version.".zip");
	else
	$content = file_get_contents("http://trustjacker.com/downloads/trustjacker_".$updated_version.".zip");
			  chdir("..");
			  $blogdir =  getcwd();
			  $target_zip = $blogdir."/wp-content/plugins/trustjacker.zip";
			  file_put_contents($target_zip , $content);  
	
	
		 $plugins_dir = "$blogdir/wp-content/plugins"; 
			  $target_dir = "$plugins_dir/";   
			  chmod($target_dir,0777); 
			
			  $zip = new ZipArchive();
			  if($zip->open($target_zip) === TRUE){ 
			  			   $done = $zip->extractTo($target_dir);
			   if($done === TRUE ){
				$zip->close();
				unlink($target_zip);
				if(get_option('TRUSTJACKER_activation_server') == 'OAP')
					$updated_version = trim(file_get_contents("http://www.trustjacker.com/downloads/oap/versionOAP.txt"));
				else
					$updated_version = trim(file_get_contents("http://www.trustjacker.com/downloads/version.txt"));
				$plugins = get_plugins('/'.TRUSTJACKER_PLUGIN_NAME);
				$version = $plugins['index.php']['Version'];
				update_option('TRUSTJACKER_versionNo',$version);
				echo "<div class='updated'><p>Your plugin was updated successfully.</p></div>";
			   }else{     
				echo "<div class='updated'><p>Could not extract</p></div>";  
			   }     
			  }else{
				echo "<div class='updated'><p> Could not open zip, please try manual download and install.<a href='http://www.trustjacker.com/downloads/trustjacker_".$updated_version .".zip' target='_blank'>Download</a></p></div>";
			  }
			  chdir("wp-admin");
		}catch(Exception $e){
		
		}
			 
}
	function tjckr_print_doc($section = 0){
			try{
			$arr_content = array();
			$arr = @file(TRUSTJACKER_PATH . '/readme.txt');
			if(!is_array($arr)) return false;
			$no = -1;
			foreach($arr as $txt){
				$txt = trim($txt);
				if(empty($txt)){
					$arr_content[$no]['content'][] = '';
					continue;
				}
				if(substr($txt, 0, 2) == '=='){
					$no++;
					$title = str_replace('=', '', $txt);
					$arr_content[$no]['title'] = trim($title);
				}else{
					$arr_content[$no]['content'][] = $txt;
				}
			}
						$title = array();
			if($section < 0 || ($section > sizeof($arr_content) - 1)) $section = 0;
			foreach($arr_content as $id => $arr){
				if($section == $id){
					$title[] = '<strong>' . wp_kses($arr['title'], '') . '</strong>';
					$content = implode('<br />', (array)$arr['content']);
				}else{
					$title[] = '<a href="admin.php?page=TRUSTJACKER-doc&doc&section=' . $id . '">' . wp_kses($arr['title'], '') . '</a>';
				}
			}
			echo '<p class="readme_menu">' . implode(' | ', $title) . '</p>';
			echo '<p class="readme_content">' . $content . '</p>';
			}catch(Exception $e){
		
			}
		}
		function doActivationCheck(){
		
			$email = get_option('TRUSTJACKER_email');
			$blog = get_bloginfo("siteurl");
			$current_user = wp_get_current_user();
			$ip = $_SERVER['REMOTE_ADDR'];
			$curl_url = CONTROL_SITE_URL.'?TRUSTJACKER_activate=1&mail='.urlencode($email).'&ip='.urlencode($ip).'&siteurl='.urlencode($blog);
			$ch = curl_init($curl_url);
			curl_setopt($ch, CURLOPT_HEADER, 0);
			@curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			$response =curl_exec($ch);
			$res = json_decode($response);
			if($res->error){
			$curl_url = CONTROL_SITE_URL2.'?TRUSTJACKER_activate=1&mail='.urlencode($email).'&ip='.urlencode($ip).'&siteurl='.urlencode($blog);
			$ch = curl_init($curl_url);
			curl_setopt($ch, CURLOPT_HEADER, 0);
			@curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			$response =curl_exec($ch);
			$res = json_decode($response);
			if(!$res->error){
			return true;
			}
			}else{
			if(!$res->error){
			if($res->disabled)
			return false;
			return true;
			}
			else return false;}
		
		}
}

?>